/*************************************************
*                                                * 
*          MIOLO Installation Program            *
*                                                *
*    Author: Vilson Cristiano Gartner  -         *
*            MIOLO Development Coordinator       *
*    E-mail: vgartner@univates.br                *
*                                                *
*    Date: August/2002                           *
*                                                *
*    $Id: language.h,v 1.2 2005/04/03 15:51:48 ematos Exp $
*                                                *
*************************************************/

// MIOLO Default Language: Portuguese
#define LANGUAGE "pt_BR"

// Wizard
#define CANCEL "Cancelar"
#define NEXT "Prximo >>"
#define BACK "<< Anterior"
#define FINISH "Finalizar"
#define INSTALL "Instalar"

// Page 1
#define WELCOME "Bem Vindo"
#define PAGE1_INFO "\n\n       PROGRAMA DE INSTALAO DO MIOLO\n\n\n\n\n\n                        MIOLO verso 1.0 RC4\n\n\n\n\n\n\n\nAutor: Vilson Cristiano Grtner - vgartner@univates.br\n\nhttp://miolo.codigolivre.org.br"

// Page 2
#define FILE_PATH "Localizao dos Arquivos"
#define PAGE2_INFO  "\n Informe as configuraes \n de localizao dos arquivos.  \n\n Todos os campos devem ser  \n informados.  \n Por padro os arquivo so \n instalados nesses diretrios. \n\n
 Observao:  aconselh-\n vel que voc efetue a insta-\n lao utilizando o usurio\n root. Tambm  possvel uti- \n lizar outro usurio, mas lem-\n bre que ser necessrio ter\n permisso de gravao nos\n diretrios."
#define LBL_MODULES " Mdulos: "
#define LBL_THEMES " Temas: "
#define LBL_URL_THEMES " URL Temas: "

// Page 3
#define DB_SETTINGS "Configuraes de Base de Dados"
#define PAGE3_INFO "\n Informe as configuraes  \n de Base de Dados.  \n\n Informe o tipo de base, o \n nome da base, usurio e\n senha para acess-la.\n\n O ideal  que voc mante-\n nha essas duas configura-\n es iguais.\n\n A configurao common\n mantm as tabelas:\n cmn_users e cmn_access\n utilizadas pelo MIOLO pa-\n ra controle de usurios  e\n senhas."
#define BASE_TYPE " Tipo de Base: "
#define HOST_IP " IP Host: "
#define BASE_NAME " Nome Base: "  
#define BASE_USER " Usurio: "
#define BASE_PASSWD " Senha: "

// Page 4
#define LOGIN_SETTINGS "Configuraes de Login"
#define PAGE4_INFO "\n Informe as configuraes\n para o controle de Login\n no MIOLO.\n\n Para obter maiores explica-\n es, utilize a ajuda sensi-\n tiva ao campo: \n -clique sobre o boto com\n o ponto de interrogao e\n cursor do mouse e em se-\n guida sobre o campo."
 
#define ALWAYS_CHECK_LOGIN "Sempre  necessrio efetuar Login"
#define MIOLO_CONTROLS_LOGIN "O Login  controlado pelo MIOLO e no pelo Banco de Dados"
#define AUTO_LOGIN "Utilizar um Login Automtico"
#define AUTO_LOGIN_ID " ID Login Auto: "
#define AUTO_LOGIN_PASS " Senha Login Auto: "
#define USER_NAME " Nome do Usurio: "

// Page4a
#define INSTALL_OPTIONS "Opes de Instalao"
#define PAGE4A_INFO "\n Selecione quais opes\n deseja instalar.\n\n Se alguma opo estiver\n desabilitada, indica que a\n opo no acompanha\n o instalador. Isso po-\n de ocorrer em caso de\n atualizaes (quando no\n  necessrio instalar todos\n os arquivos) ou em caso do\n arquivo no estar no diret-\n rio do instalador.\n\n Importante: os arquivos\n existentes sero sobrescritos por isso  aconselhvel\n manter uma cpia dos ar-\n quivos atuais."
#define INSTALL_MIOLO_CLASSES "Instalar classes do MIOLO"
#define INSTALL_COMMON "Instalar Mdulo Common (Login e Tela/Menu Principal)"
#define INSTALL_EXAMPLES "Instalar Mdulos de Exemplos e Tutorial"
#define INSTALL_THEMES "Instalar Temas"
#define CREATE_CONF_FILE "Criar arquivo de configurao: miolo.conf"
#define SHOW_APACHE_EXAMPLE "Mostrar sugesto de VirtualHost para Apache"

// Page 5
#define APACHE_EXAMPLE "Configurao do Apache" 
#define PAGE5_INFO "\n  Configurao do Apache.  \n\n  De acordo com as configu-\n raes indicadas anterior-\n mente, apresentamos aqui\n um exemplo de Virtual Host\n que voc poderia utilizar\n para o Apache.\n\n  Dica: Voc pode copiar e \n colar o exemplo.\n\n  Observao: \n se j existir uma configura-\n o para este domnio, no \n  necessrio criar outra."
#define SUGESTION_APACHE "Sugesto de Virtual Host para Apache: \n"

// Page 6
#define WAITING_INSTALL_TO_START "AGUARDANDO INCIO DA INSTALAO DO MIOLO: "
#define PAGE6_INFO "\n   O instalador do MIOLO\n est pronto para iniciar\n a Instalao. \n\n Pressione o boto para\n iniciar o processo...\n"
#define INSTALL_PROCESS "Processo de Instalao"
#define BTN_START_INSTALL "Iniciar Instalao do MIOLO"

// Methods
#define SELE_DIR "Selecione o Diretrio..."
#define CREATING_DIRS "Criando diretrios..."
#define INSTALLING_MIOLO_FILES "Instalando arquivos do MIOLO..."
#define MSG_MIOLO_FILE_NOT_FOUND "Diretrio: miolo (classes do MIOLO) no encontrado."
#define MSG_LOCALE_FILE_NOT_FOUND "Diretrio: locale (tradues) no encontrado."
#define INSTALLING_HTDOCS "Instalando arquivos htdocs..."
#define MSG_HTDOCS_FILE_NOT_FOUND "Diretrio: html (arquivo necessrio pelo MIOLO) no encontrado."
#define INSTALLING_COMMON "Instalando arquivos mdulo common..."
#define MSG_COMMON_FILE_NOT_FOUND "Diretrio: common (Login, Menu/Tela Principal) no encontrado."
#define INSTALLING_EXAMPLES "Instalando arquivos mdulo exemplos..."
#define MSG_EXAMPLES_FILE_NOT_FOUND "Diretrio: sample (Exemplos de mdulos/programas) no encontrado."
#define INSTALLING_THEMES "Instalando Temas do MIOLO..."
#define MSG_THEMES_FILE_NOT_FOUND "Diretrio: themes (Temas do MIOLO) no encontrado."
#define MSG_MIOLOCONF_EXISTS "O arquivo <b>miolo.conf</b> j existe.<br><br> aconselhvel que voc faa uma cpia do arquivo atual ou desmarque esta opo, pois o arquivo existente ser sobrescrito.<br><br>Localizao: "
#define CREATING_MIOLOCONF "Criando arquivo de configurao miolo.conf..."
#define INSTALLATION_FINISHED "Instalao Concluda.  Arquivo de log criado em /tmp/miolo_install.log"
#define INSTALL_END "Instalao concluda."
#define MSG_ERROR_CREATING_MIOLOCONF "No foi possvel criar o arquivo miolo.conf com as \nconfiguraes informadas.\nNo esquea que voc deve executar o instalador \ncomo root (preferencialmente) ou ter permisso de\ngravao no diretrio."

// WhatsThis Help
  // Page 2
#define WT_DIRBUTTON "Clique aqui para selecionar e/ou criar um diretrio. <br> <b>Importante:</b> para criar um diretrio, voc deve ter permisso de gravao.";
#define WT_EDTHTML "Informe o diretrio que estar visvel na WEB. <br> Voc tambm dever configurar corretamente o <b>Apache</b>, para que o <em>DocumentRoot</em> (ou <em>Virtual Host</em>) apontem para este diretrio e o browser encontre os arquivos corretamente.";
#define WT_EDTMIOLO "Neste campo informe o diretrio onde devero ser instalados os arquivos do <b>MIOLO</b>.";
#define WT_EDTMODULES "Aqui, informe o diretrio onde estaro localizados os arquivos dos Mdulos/Sistemas desenvolvidos com o MIOLO.";
#define WT_EDTLOCALE "Informe o diretrio onde sero instalados os arquivos de tradues das mensagens dos Mdulos/Sistemas e do MIOLO."
#define WT_EDTLOGS "Informe onde o MIOLO dever gravar os arquivos de logs dos Mdulos/Sistemas. <br> <b>Muito Importante:</b> o <em>Apache</em> dever ter direito de gravao nesse diretrio.";
#define WT_EDTTHEMES "Diretrio onde sero instalados os temas dos Mdulos/Sistemas e MIOLO"
#define WT_EDTURL "Informe aqui o endereo URL do site.<br><b>Importante:</b> o endereo aqui informado deve ser corretamente configurado no <em>Apache</em> (DocumentRoot ou Virtual Host)"
#define WT_EDTURL_THEMES "Informe o endereo WEB que aponte para o diretrio dos temas. Este endereo estar abaixo do URL do Site identificado no item anterior"
#define WT_EDTTRACE_PORT "Atravs desta porta, o MIOLO envia informaes como erros, sqls,... Informaes essas que podem ser capturadas por programas com o objetivo de debug. Um exemplo disso  o plugin MIOLO para o editor JEdit, que recebe essas informaes."

  // Page 3
#define WT_BASE_TIPO "Tipo de Base de Dados que ser utilizado"
#define WT_BASE_HOST "IP da mquina onde est localizada a Base."
#define WT_BASE_BASE "Nome da Base que armazenar as tabelas do MIOLO"
#define WT_BASE_USER "Nome do usurio para acessar a Base"
#define WT_BASE_PASSWD "Senha do usurio para acesso  Base"

  // Page 4
#define WT_MKLOGIN "Ative esta opo para que o MIOLO sempre solicite o Login ao usurio. <br>Nesta situao, o MIOLO sempre abrir a tela de login quando algum acessar o site."
#define WT_MIOLOLOGIN "Existem duas maneiras de fazer o controle de login no sistema.<br> A primeira delas  deixar que o MIOLO controle este processo e para tal, o usurio e a senha devem ser cadastrados na tabela cmn_users. <br>Na segunda, a prpria Base se encarrega de validar o usurio que dever estar <em>obrigatoriamente</em> cadastrado na mesma. Mesmo nessa situao, o usurio dever constar na cmn_users, com a diferena que a senha no ser necessria.<br>Para deixar o MIOLO controlar o acesso dos usurios (<em>padro</em>) ative esta opo."
#define WT_AUTOLOGIN "O MIOLO oferece a possibilidade de criar login's automticos. Estes logins podem ser, em conjunto com as permisses atribudas na tabela cmn_access, utilizadas para permitir o acesso a certas pginas e opes de um sistema para as quais no  necessrio efetuar login de forma explcita. <br>Em outras palavras, o MIOLO efetua login no sistema utilizando o usurio e senhas definidas no login automtico."
#define WT_LOGINID "Nome do usurio para login automtico. As permisses deste usurio devem ser colocadas posteriormente na tabela cmn_access"
#define WT_LOGINPWD "A senha que ser utilizada para o login automtico"
#define WT_LOGINNAME "O nome por extenso do usurio"

  // Page 4a
#define WT_INSTALL_MIOLO "Ative esta opo para instalar as classes do MIOLO."
#define WT_INSTALL_COMMON "Ative esta opo para instalar o mdulo common. <br> O mdulo common  utilizado pelo MIOLO para as tarefas de login, alm da criao do Menu e Tela Principal. "
#define WT_INSTALL_EXAMPLES "Com esta opo marcada, ser instalado o mdulo de exemplos e tutoriais."
#define WT_INSTALL_THEMES "Ative esta opo para instalar os Temas. <br> Para alterar o tema padro utilizado nos sistemas, altere a configurao no arquivo miolo.conf.<br> Para criar ou alterar temas, d uma olhada nos diretrios dos temas (abaixo de themes)."
#define WT_CREATE_CONF "O miolo.conf  o arquivo que mantm todas as configuraes do MIOLO, portanto,  necessrio que ele seja criado. <br> <em>Importante:</em> em caso de atualizao do MIOLO, <b>no</b>  necessrio cri-lo novamente."
#define WT_SHOW_APACHE "Para ver uma sugesto para configurao de VirtualHost  no Apache de acordo com os dados informados para a instalao, ative esta opo."
