<?php

/**
 * uploadFile Header
 *
 * @author Luiz Gilberto Gregory Filho [luz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 11/03/09
 *
 * \b Organization: \n
 * SOLIS - Cooperativa de Solucoes Livres \n
 * The Gnuteca3 Development Team
 *
 * \b CopyLeft: \n
 * CopyLeft (L) 2007 SOLIS - Cooperativa de Solucoes Livres \n
 *
 * \b License: \n
 * Licensed under GPL (for further details read the COPYING file or http://www.gnu.org/copyleft/gpl.html
 *
 * \b History: \n
 * See history in SVN repository: http://gnuteca.solis.coop.br
 *
 */

$path       = '../';
$classPath  = '../classes';
$module     = $_REQUEST['module'];
$action     = $_REQUEST['action'];

include("$classPath/mioloconsole.class.php");

$MIOLOConsole = new MIOLOConsole();
$MIOLO = $MIOLOConsole->getMIOLOInstance($path, $module, false);
$MIOLOConsole->loadMIOLO();
?>

<html>
    <head>
        <style type="" media="screen">
            * {margin:0;padding:0;}
        </style>
    </head>
    <script type="text/javascript">
        function sendFile()
        {
            document.forms[0].submit();
        }
    </script>
    <body>
        <form enctype="multipart/form-data" action="uploadFile.php" method="POST">
        <input name="uploadedfile" type="file" /><br />
        </form>

<?php

if ( $_FILES)
{
    $MIOLO->getClass('gnuteca3', 'GnutecaBusiness');
    $busFile = $MIOLO->getBusiness('gnuteca3', 'BusFile' );

    $targetPath = $busFile->getAbsoluteServerPath(true).'/tmp/'. basename( $_FILES['uploadedfile']['name']);

    //evita sobreescrita
    $i = 1;
    while ( file_exists($targetPath) )
    {
        $targetPath = str_replace('_'.($i-1),'',$targetPath);
        $explode    = explode('.',"$targetPath");
        $targetPath = $explode[0].'_'.$i.'.'.$explode[1];
        $i++;
    }

    $ok = move_uploaded_file( $_FILES['uploadedfile']['tmp_name'], $targetPath); #a funo no retorna mais true ou false

    if (  $ok )
    {
        $ajaxFunction   = 'addFile';
        $_FILES['uploadedfile']['tmp_name'] = $targetPath;
    }
    else
    {
        $ajaxFunction   = 'addFileError';
        $value          = '0';
    }

    $value          = base64_encode( serialize($_FILES['uploadedfile'])) ;

    $form = $MIOLO->page->getFormId();

    echo "
    <script type='text/javascript'>
        parent.miolo.doAjax('{$ajaxFunction}','{$value}','{$form}');
    </script>";

}
?>
    </body>
</html>