<?php

//tenta pegar o caminho do miolo usando PWD do sistema
ob_start();
system('pwd');
$filePath = ob_get_contents();
ob_clean();

//tira linha nova e pega s o diretrio
$filePath = dirname( str_replace("\n", '', $filePath));
$filePath = explode('/',$filePath );
//tira as ltimas duas pastas
unset($filePath[ count($filePath) - 1 ] );
unset($filePath[ count($filePath) - 1 ] );
//monta a string novamente
$filePath = implode('/',$filePath );

if ( file_exists($filePath ))
{
   $mioloPath = $filePath;
}

//caso no tenha encontrado (possivalmente no windows, procura em locais padro)
if ( !$mioloPath )
{
    //configuraes do miolo
    $dirs = array(
        getenv('HOME') . '/solis/svn/miolo25-gnuteca3trunk',
        '/var/www/miolo25-gnuteca3/',
        '/var/www/miolo25-gnuteca/',
        getenv('HOME') .'/solis/svn/miolo25-gnuteca3/',
        getenv('HOME') . '/solis/svn/miolo25-gnuteca/',
        getenv('HOME') . '/svn/miolo25gnuteca3/'
        );

    foreach ( $dirs as $dir )
    {
        if ( is_dir($dir) )
        {
            $mioloPath = $dir;
            break;
        }
    }
}

$mioloClassesPath   = "$mioloPath/classes";
$mioloConsoleFile   = "$mioloClassesPath/mioloconsole.class.php";
$module             = 'gnuteca3';
$localFile          = str_replace("\\", "/", dirname(__FILE__)); 

// checa se miolo existe
if(!file_exists($mioloPath))
{
    die("\n\n\nMiolo Path not exists!!! \nFile: $mioloPath\n\n\n");
}
if(!file_exists($mioloConsoleFile))
{
    die("\n\n\nMiolo Console File not exists!!! \nFile: $mioloConsoleFile\n\n\n");
}

require_once($mioloConsoleFile);
$MIOLOConsole = new MIOLOConsole();
$GLOBALS['MIOLO'] = $MIOLO = $MIOLOConsole->getMIOLOInstance($mioloPath, $module);
$MIOLOConsole   ->loadMIOLO();
$MIOLO->uses('handlers/gnutecaClasses.inc.php', 'gnuteca3');
$MIOLO->uses('handlers/define.inc.php', 'gnuteca3');

//limpa a "sesso" dos testes unitrios
$path = $MIOLO->getModulePath('gnuteca3', "html/files/");
file_put_contents($path . '/gUnit.serialize', '');

class GUnitTest extends PHPUnit_Framework_TestCase
{
    protected $MIOLO, $backupGlobalsBlacklist = array('MIOLO', 'autoload', 'MIOLOConsole');


    public function __construct()
    {
        $this->MIOLO = MIOLO::getInstance();
    }
    
    
   /**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
    * Mtodo para mostrar mensagem na tela
    *
    * @param string $msg
    */
    protected function exibe($msg)
    {
        if ( !is_string($msg ))
        {
            var_export($msg);
        }
        else
        {
            echo $msg . "\n";
        }
    }
	
	
    protected function getValue($name)
    {
        $path = $this->MIOLO->getModulePath('gnuteca3', "html/files/");
        $file = unserialize(file_get_contents($path . '/gUnit.serialize'));
		
        return $file->$name;
    }
	
	
    protected function setValue($name, $value)
    {
        $path = $this->MIOLO->getModulePath('gnuteca3', "html/files/");
        $file = unserialize(file_get_contents($path . '/gUnit.serialize'));
        $file->$name = $value;
        file_put_contents($path . '/gUnit.serialize', serialize($file));
        chmod($path . '/gUnit.serialize', 0777);
	}
}
?>