<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * This file handles update material
 *
 * @author Jader Osvino Fiegenbaum [jader@solis.coop.br]
 *
 * $version: $Id$
 *
 * \b Maintainers \n
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @since
 * Class created on 24/11/2010
 *
 **/
class BusinessGnuteca3BusUpdateSearch extends GnutecaBusiness
{
    public $MIOLO;
    public $module;

    /**
     * Class constructor
     **/
    function __construct()
    {
        parent::__construct();
        $this->MIOLO  = MIOLO::getInstance();
    }


    /**
     * Mtodo pblico que busca a data da ltima atualizao da tabela de pesquisa
     */
    public function getLastUpdateSearch()
    {
    	$this->clear();
    	$this->setTables('gtcSearchTableUpdateControl');
    	$this->setColumns('lastUpdate');
    	
    	$sql = $this->select();
        $rs  = $this->query($sql, true);
    
        return $rs[0];
    }
    
    /**
     * Atualiza a tabela de pesquisa
     */
    public function updateSearch()
    {
    	$rs = $this->query("SELECT gtcfnc_updatesearchmaterialviewtablebool()");
    	
    	return $rs[0][0] == DB_TRUE ? true : false;
    }    
    
}
?>
