<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Domain form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro R. Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 11/07/2010
 *
 **/
class FrmDomain extends GnutecaForm
{
    public function __construct()
    {
        $this->MIOLO = MIOLO::getInstance();
        $this->module = MIOLO::getCurrentModule();
    	$this->setAllFunctions('Domain', null, array('domainId','sequence'), 'domainId');
        parent::__construct(_M('Domain'));
    }
    
    public function createFields()
    {
        $fields[]       = new MTextField('domainId', null, _M('Domain',$this->module), FIELD_DESCRIPTION_SIZE, null, null, MIOLO::_REQUEST('function') == 'update');
        $fields[]       = new MTextField('sequence', null, _M('Sequence',$this->module), FIELD_DESCRIPTION_SIZE, null, null, MIOLO::_REQUEST('function') == 'update');
        $fields[]       = new MTextField('key', null, _M('Key',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[]       = new MTextField('abbreviated', null, _M('Abbreviated',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[]       = new MTextField('label', null, _M('Label',$this->module), FIELD_DESCRIPTION_SIZE);
        $validators[]   = new MRequiredValidator('domainId');
        $validators[]   = new MRequiredValidator('sequence');
        $validators[]   = new MRequiredValidator('key');
        $validators[]   = new MRequiredValidator('abbreviated');
        $validators[]   = new MRequiredValidator('label');
        
        $this->setFields($fields);
        $this->setValidators($validators);
    }
}
?>
