<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * File form
 *
 * @author Eduardo Bonfandini [eduardo@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 14/10/2010
 *
 **/
$MIOLO->getClass('gnuteca3', 'controls/FileUploader');
class FrmFile extends GnutecaForm
{
    function __construct()
    {
        $this->setAllFunctions('File', null, 'filePath', array('filePath') );
        parent::__construct();

        if ( $this->primeiroAcessoAoForm()  )
        {
            FileUploader::clearData();
            FileUploader::setLimit(false);
        }
    }

    public function createFields()
    {
        $fields[] = new GnutecaSelection('folder', null, _M('Folder'), $this->business->listFolder(), null, null, null, null);
        $fields[] = new FileUploader('Envie seu arquivo');
        FileUploader::setExtensions(array('png','jpg')) ;
        $validators[] = new MRequiredValidator('folder');

        $this->setFields($fields);
        $this->setValidators($validators);
    }

    public function tbBtnSave_click($sender=NULL)
    {
        $data = $this->getData();
        $data->files = FileUploader::getData();
        FileUploader::clearData();//aps pegar limpa para evitar reuso
        parent::tbBtnSave_click($sender, $data);
    }
}
?>