<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * FormContentSearch form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 07/04/2009
 *
 **/


class FrmFormContentSearch extends GnutecaForm
{
	public $MIOLO;
	public $module;
	public $busFormContentType;


    public function __construct()
    {
    	$this->MIOLO   = MIOLO::getInstance();
    	$this->module  = MIOLO::getCurrentModule();
    	$this->busFormContentType = $this->MIOLO->getBusiness($this->module, 'BusFormContentType');
        $this->setAllFunctions('FormContent', array('formContentId'));
        parent::__construct();
    }


    public function createFields()
    {
    	$fields[] = new MTextField('formContentIdS', NULL, _M('Code', $this->module), FIELD_ID_SIZE);
        $fields[] = new MTextField('operatorS', NULL, _M('Operator', $this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('_formS', NULL, _M('Form',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('_nameS', NULL, _M('Name',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('descriptionS', NULL, _M('Description', $this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MSelection('formContentTypeS', NULL, _M('Form content type', $this->module), $this->busFormContentType->listFormContentType());
        $this->setFields( $fields );
    }
}
?>