<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * FormatBackOfBook form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 04/11/2008
 *
 **/
class FrmFormatBackOfBook extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('FormatBackOfBook', null, 'formatBackOfBookId', 'description');
        parent::__construct();
    }


    public function createFields()
    {
        if ($this->function == 'update')
        {
            $fields[] = new MTextField('formatBackOfBookId', null, _M('Code', $this->module), FIELD_ID_SIZE, null, null, true);
        }
        
        $fields[] = new MTextField('description', null, _M('Description', $this->module), FIELD_DESCRIPTION_SIZE);
        $validators[] = new MRequiredValidator('description');

        $lblFormat = new MLabel( _M('Format', $this->module) . ':' );
        $lblFormat->setWidth(FIELD_LABEL_SIZE);
        $lblFormat->setClass('m-caption-required'); //FIXME miolo no coloca * em label separada. Ticket #8255
        $format   = new MMultiLIneField('format', null, null, null, FIELD_MULTILINE_ROWS_SIZE, FIELD_MULTILINE_COLS_SIZE);
        $btnHelp  = new MButton('btnHelp', _M('Help', $this->module), ':showFunctionHelp');
        $fields[] = new MHContainer('hctFormat', array($lblFormat, $format, $btnHelp));
        $validators[] = new MRequiredValidator('format');

        $fields[] = new MMultiLIneField('internalFormat', null, _M('Internal format', $this->module), null, FIELD_MULTILINE_ROWS_SIZE, FIELD_MULTILINE_COLS_SIZE);

        $this->setFields($fields);
        $this->setValidators($validators);
    }


    public function showFunctionHelp()
    {
    	parent::_showFunctionHelp();
    }
}
?>
