<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Group right search form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 01/08/2008
 *
 **/
class FrmGroupRightSearch extends GnutecaForm
{
    public $module;
    public $businessPrivilegeGroup;
    public $businessOperation;
    public $businessMaterialGender;
    public $businessUserGroup;

    public function __construct()
    {
        $this->module = MIOLO::getCurrentModule();
        $this->businessPrivilegeGroup = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusPrivilegeGroup');
        $this->businessOperation = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusOperation');
        $this->businessMaterialGender = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusMaterialGender');
        $this->businessUserGroup = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusUserGroup');
        $this->setAllFunctions('Right', array('privilegeGroupIdS','linkIdS, materialGenderIdS') );
        $this->setGrid('GrdGroupRight');
        parent::__construct();
    }


    public function createFields()
    {
        $fields[] = new GnutecaSelection('privilegeGroupIdS', $this->privilegeGroupIdS->value, _M('Privilege group', $this->module), $this->businessPrivilegeGroup->listPrivilegeGroup());
        $fields[] = new GnutecaSelection('linkIdS', $this->linkId->value, _M('Link code',$this->module), $this->businessUserGroup->listUserGroup());
        $fields[] = new GnutecaSelection('materialGenderIdS', $this->materialGenderId->value, _M('Material gender code',$this->module), $this->businessMaterialGender->listMaterialGender());;
        $fields[] = new GnutecaSelection('operationIdS', $this->operationId->value, _M('Operation code',$this->module), $this->businessOperation->listOperation());
        $this->setFields( $fields );
    }
}
?>