<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * @author Eduardo Bonfandini [eduardo@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 12/01/2009
 *
 **/
class FrmMaterialCirculationCheckPoint extends FrmMaterialCirculationChangePassword
{
    /**
    * Mount the form of checkPoint
    *
    */
    public function checkPoint( $args = NULL )
    {
        $MIOLO  = MIOLO::getInstance();
        $module = MIOLO::getCurrentModule();
        $this->setMMType('checkPoint');
        $this->changeTab('checkPoint');
        $labelWidth = '120px';

        $fields[]  = new MDiv(null, $lbl = new MLabel( _M('CheckPoint', $module), 'blue', true ));
        $lbl->addStyle('font-size','20px');
        $fields[]  = new MLabel(  _M('Cdigo do Exemplar', $this->module) );
        $cFields[]  = $itemNumberCheckPoint = new MTextField('itemNumberCheckPoint' );
        $itemNumberCheckPoint->addAttribute('onPressEnter', GnutecaUtils::getAjax('check'));

        $cFields[]  = $btnCheck =  new MImageButton('btnCheck', NULL, "javascript:" . GnutecaUtils::getAjax('check'), $this->imageAccept);
        $btnCheck->addAttribute('title', _M('Check', $this->module));

        $fields[]   = new MContainer('cont', $cFields,'horizontal', MControl::FORM_MODE_SHOW_SIDE);
        $fields[]  = new MDIV('checkResponse' );

        $this->setFocus('itemNumberCheckPoint');
        return $this->addResponse(  GnutecaUtils::alinhaForm($fields), $args );
    }

    public function check( $args )
    {
		if ($args->itemNumberCheckPoint)
		{
	        $hasLoan = $this->busLoan->getLoanOpen($args->itemNumberCheckPoint);
	        $hasLoan = $hasLoan ? true : false; //converta pra boolean

	        if ( $hasLoan )
	        {
	            $fields[] = new MLabel( $args->itemNumberCheckPoint . ' - '.  _M('Material emprestado.'), 'green', true);
	            $this->setResponse( $fields, 'checkResponse');
	            $this->jsSetValue('itemNumberCheckPoint', '');
	        }
	        else
	        {
	            $inicio     = new MLabel('O exemplar ', 'red', true);
	            $num        = new MLabel($args->itemNumberCheckPoint, 'bold', true);
	            $fim        = new MLabel(' no est emprestado', 'red', true);
	            $fields[]   = new MHContainer('hctDL', array($inicio, $num, $fim));

	            $fields['close'] = new MButton('btnClose', _M('Fechar'), "gnuteca.closeAction(); " . GnutecaUtils::getAjax('checkPoint'), $this->imageClose);
	            $this->jsSetReadOnly('itemNumberCheckPoint', true);

                GnutecaForm::jsSetFocus('itemNumberCheckPoint');
	            $this->injectContent($fields, false, true);
                $this->jsSetValue('itemNumberCheckPoint', '');
	            $this->setResponse('', 'checkResponse'); //limpa a div
	        }
		}
		else
		{
			$this->setResponse('','limbo');
		}
    }
}
?>
