<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * MaterialPhysicalType form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 19/02/2009
 *
 **/
class FrmMaterialPhysicalType extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('MaterialPhysicalType', 'description', 'materialPhysicalTypeId', array('description'));
        parent::__construct();
        $this->setFocus('description');
    }


    public function createFields()
    {
        if ( $this->function == 'update' )
        {
            $materialPhysicalTypeId = new MTextField('materialPhysicalTypeId', null, _M('Code', $this->module), FIELD_ID_SIZE);
            $materialPhysicalTypeId->setReadOnly(TRUE);
            $fields[] = $materialPhysicalTypeId;
            $validators[] = new MRequiredValidator('materialPhysicalTypeId');
        }

        $description = new MTextField('description', null, _M('Description', $this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = $description;
        $validators[] = new MRequiredValidator('description');

        $observation = new MMultiLIneField ('observation', NULL, _M('Observation', $this->module), NULL, FIELD_MULTILINE_ROWS_SIZE, FIELD_MULTILINE_COLS_SIZE);
        $fields[] = $observation;

       // $fields[] = new MLabel(_M('Image', $this->module));
        $image = new MTextField('image', null, _M('Image', $this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = $image;

        $this->setFields($fields);
        $this->setValidators($validators);
    }
}
?>
