<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Operation Group search form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 04/08/2008
 *
 **/
class FrmOperationSearch extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('Operation', array('operationIdS','descriptionS') );
        parent::__construct(  );
    }

    public function createFields()
    {
        $fields[] = new MTextField('operationIdS', null, _M('Operation code',$this->module), 8);
        $fields[] = new MTextField('descriptionS', null, _M('Description', $this->module), FIELD_DESCRIPTION_SIZE);

        $lbl = new MLabel(_M('Define rule', $this->module) . ':');
        $lbl->setWidth(FIELD_LABEL_SIZE);
        $defineRuleS = new MRadioButtonGroup('defineRuleS', null, GnutecaUtils::listYesNo(1), null, null, MFormControl::LAYOUT_HORIZONTAL);
        $fields[] = new MHContainer('hctDefineRuleS', array($lbl, $defineRuleS));

        $this->setFields( $fields );
    }
}
?>