<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Preference search form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 28/07/2008
 *
 **/
class FrmPreferenceSearch extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('Preference', array('moduleConfigS','parameterS, configValueS'));
        parent::__construct();
    }

    public function createFields()
    {
        $fields[] = new MTextField('moduleConfigS', strtoupper($this->module), _M('Module',$this->module), 20,null, null, true);
        $fields[] = new MTextField('parameterS', $this->parameterS->value, _M('Parameter',$this->module), 20);
        $fields[] = new MTextField('configValueS', $this->configValueS->value, _M('Value',$this->module), 20);
        $fields[] = new MTextField('descriptionS', $this->descriptionS->value, _M('Description',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new GnutecaSelection('typeS', $this->typeS->value, _M('Field type',$this->module), BusinessGnuteca3BusDomain::listForSelect('PREFERENCE_TYPE') );
        $fields[] = new GnutecaSelection('groupByS', $this->groupByS->value, _M('Group',$this->module), BusinessGnuteca3BusDomain::listForSelect('ABAS_PREFERENCIA' ));
        $fields[] = new MTextField('labelS', null, _M('Label',$this->module), FIELD_DESCRIPTION_SIZE);

        $this->setFields($fields);
    }
}
?>