<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Grid
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 06/01/2009
 *
 **/
class GrdOperatorFormContent extends GnutecaGrid
{
    public function __construct($data)
    {
    	global $MIOLO, $module, $action;

        $columns = array(
            new MGridColumn(_M('Operator',  $module), MGrid::ALIGN_LEFT, null, null, true, null, true),
            new MGridColumn(_M('Form',  $module), 	  MGrid::ALIGN_LEFT, null, null, true, null, true),
            new MGridColumn(_M('Field',  $module), 	  MGrid::ALIGN_LEFT, null, null, true, null, true),
            new MGridColumn(_M('Value',  $module), 	  MGrid::ALIGN_LEFT, null, null, true, null, true),
        );

        parent::__construct($data, $columns, $MIOLO->getCurrentURL(), LISTING_NREGS, 0, 'gridOperatorFormContent');

        $args['operator'] = '%0%';
        $args['form']     = '%1%';
        $args['field']	  = '%2%';
        $args['function'] = 'update';
        $hrefUpdate = $MIOLO->getActionURL($module, $action, null, $args);
        $args['function'] = 'delete';
        $args['event']    = 'tbBtnDelete_click';
        $hrefDelete = $MIOLO->getActionURL($module, $action, null, $args);
        $this->setIsScrollable();
        $this->addActionUpdate( $hrefUpdate );
        $this->addActionDelete( $hrefDelete );
        //$this->setRowMethod($class, 'checkValues');
    }
    

    public function checkValues($i, $row, $actions, $columns)
    {
        //$FormContentOperator = $columns[0]->control[$i]->value;
        //$columns[1]->control[$i]->setValue($content);
    }
}
?>
