<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Iso2709 handler.
 * Contains the menus to access catalogue submenus
 *
 * @author luiz@solis.coop.br
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 11/05/2009
 *
 **/


$function   = MIOLO::_REQUEST('function');
$ui         = $MIOLO->getUI();
$btnClose   = $MIOLO->getActionURL($module,substr($home,0,strrpos($home,':')));
$home       = 'main:catalogue:iso2709';

$navbar->addOption(_M('ISO 2709', $module), $module, $home, null, null);
$icon = $ui->getImage($module,'iso2709-16x16.png');


if ( !$MIOLO->invokeHandler($module, 'catalogue/iso2709/' . $context->shiftAction()) )
{

    $pnlIso2709 = new MActionPanel('pnlIso2709', _M('ISO 2709', $module), null, $btnClose, $icon);
    $pnlIso2709->setIconType      ('small');
    $pnlIso2709->setControlSize   (MPANEL_DEFAULT_WIDTH, MPANEL_DEFAULT_HEIGHT);
    //$pnlIso2709->setWidth("100%");

    $menuItemIso2709 = array
    (
        array(_M('Import ISO 2709 File', $module),   'importIso2709-16x16.png', "$home:import", null,   array('function' => ''), 'gtcISO2709Import'),
        //array(_M('Export ISO 2709 File', $module),   'exportIso2709-16x16.png', "$home:export", null,   array('function' => ''), 'gtcISO2709Export'),
    );

    foreach ( $menuItemIso2709 as $m )
    {
        $access = ($m[5] == 'gtcMaterial') ? A_INSERT : null;
        GnutecaPerms::addUserAction($m[5], $access, $pnlIso2709, $m[0], $ui->getImage($module, $m[1]), $module, $m[2], null, $m[5]);
    }

    if (GnutecaPerms::checkAccess('gtcIso2709'))
    {
	    $theme->clearContent();
	    if ($pnlIso2709->getControls())
	    {
	        $theme->insertContent($pnlIso2709);
	    }
    }
}

?>
