<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * @author Luiz Gilberto Gregory Filho
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @since
 * Class created on 08/12/2008
 **/
$image = new MImage('icon', null, $MIOLO->getUI()->getImage( $module, 'kardexControl-16x16.png'));
$navbar->addOption($image->generate()._M('Kardex control', $module), $module, "main:catalogue:kardexControl", null, array('function' => 'search'));

$ui         = $MIOLO->getUI();
$item       = MIOLO::_REQUEST('item');
$function   = MIOLO::_REQUEST('function');
$event      = MIOLO::_REQUEST('event');
$content    = null;

// SELECT FORM
switch ( $function )
{
    case "update"       :
    case "addChildren" :
        $data->controlNumber = MIOLO::_REQUEST('controlNumber');
        $content = $ui->getForm($module, "FrmMaterial", $data);
    break;

    default:
        $content = $ui->getForm($module, "FrmKardexControl");
    break;
}

$f = new GnutecaForm();
$f->transaction = 'gtcMaterial';
$f->function    = 'insert';

if ($f->checkAccess())
{
    $theme->clearContent    ( $content );
    $theme->insertContent   ( $content );
}
?>