<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
* MIOLO::vd dentro do contedo que voc quiser
* Voc pega o retorno bota no contedo de uma div, executa um echo nele, como preferir
*
* @param $vd a variavel para fazer o var_dump
*
*/
function vd($vd)
{
    MIOLO::vd($vd);
}

/**
 * Make a var_export (some kind of var_dump) to firebugs console.
 * <p>
 * It will parse the string to avoid javascript erros.
 *
 * @param any $vd you can pass all you pass to var_dump, object, array, string, or all in one.
 */
function clog($vd)
{
    $array = func_get_args();
    $MIOLO = MIOLO::getInstance();
    if (is_array($array) )
    {
        foreach ($array as $line => $info)
        {
            if ( is_array( $info) )
            {
            	$type = 'info';
            }
            else if ( is_object( $info ) )
            {
            	$type = 'warn';
            }
            else
            {
            	$type = 'log';
            }

            /*console.log
            console.debug
            console.info
            console.warn
            console.error.*/

            //converte pra string caso no for
            if (!is_string($info))
            {
                $info = parseMioloFields($info);
                $info = print_r($info, 1);
            }
            error_log($info);                           // registra nos error do php
			$info = str_replace("\n", '\n', $info ); 	// troca linha nova do php para javascript
            $info = str_replace("'", "\'", $info );     // retira ' para evitar erros de sintaxe js
            $MIOLO->trace($info);                       // registra no trace do miolo
            $MIOLO->page->addJsCode("console.$type('$info');");
        }
    }
}

/**
 * Enter description here...
 *
 * @return debug Object Print
 */
function echoPre()
{
    $return = null;
    $array = func_get_args();

    if (is_array($array) )
    {
        foreach ($array as $info)
        {
            $return.= "<br><pre>". print_r($info, 1) ."</pre><br>";
        }
    }

    return $return;
}



function flog()
{
    $array = func_get_args();
    $MIOLO = MIOLO::getInstance();

    if (!is_array($array) )
    {
        return;
    }

    foreach ($array as $line => $info)
    {
        $info = parseMioloFields($info);
        $content = "\n----------------------------------------------------------------------------------------------------\n";
        $content.= date("y-m-d H:i:s") . "| Microtime: ". microtime() ." \n";
        $content.= print_r($info, 1);

        file_put_contents("/tmp/gnuteca3Log.txt", $content, FILE_APPEND);
        chmod ("/tmp/gnuteca3Log.txt", 0777);
    }
}

function parseMioloFields( $field )
{
    if ( $field instanceOf MObjectList )
    {
        $field = parseMioloFields($field->items);
    }
    if ( is_array($field))
    {
        foreach ( $field as $line => $info)
        {
            $field[$line] = parseMioloFields($info);
        }
    }
    else if ( is_object($field) && $field instanceof MControl  )
    {
        $tmpField = new stdClass();

        $variables = get_object_vars($field);
        $variables = array_keys($variables);

        $tmpField->phpClass         =  get_class($field);

        foreach ( $variables as $line => $var)
        {
            if ( $var != 'form' &&
                $var != 'controlBox' &&
                $var != 'box' &&
                $var != 'parent' &&
                $var != 'painter' &&
                $var != 'manager' &&
                $var != 'page' &&
                $var != 'owner' &&
                $var != 'controlsId'
               )
            {
                $tmpField->$var = parseMioloFields($field->$var);
            }
        }

        $field = $tmpField;
    }

    return $field;
}
?>