<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


$MIOLO->history->pop();
$lookup = new MLookup($module);

$file = $MIOLO->getModulePath($lookup->module,'db/lookup.class.php');
if ( file_exists( $file ) )
{
   $ok = $MIOLO->uses('/db/lookup.class.php',$lookup->module);
}

$MIOLO->assert($ok,_M('Arquivo modules/@1/db/lookup.class no encontrado.<br>'.
                      'Este arquivo deve implementar a classe Business@1Lookup '.
                      'contendo a funo Lookup@2.',
                      'miolo',$lookup->module, $lookup->item));
$page->addScript('m_lookup.js');


//$lookup->setTitle('Janela de Pesquisa -  Teste');

$businessClass      = "Business{$lookup->module}Lookup";
$autoCompleteMethod = "AutoComplete{$lookup->item}";
$searchMethod       = "Lookup{$lookup->item}";

$object = new $businessClass();

$lookupMethod = ($lookup->autocomplete && method_exists($object, $autoCompleteMethod)) ? $autoCompleteMethod : $searchMethod;

$object->$lookupMethod($lookup);

$lookup->setContent();

if ( $lookup->grid->pn )
{
    $lookup->grid->pn->setPageNumber( MIOLO::_REQUEST('pn_page' ) ); //faz a paginao da grid do lookup funcionar
}

?>