var toolBarChangerState;

dojo.declare ("Gnuteca", null,
{
	context: null ,
    mBoxOuterWidth : null,      //guarda tamanho anterior da tela, para restaurao
    imgChangerLeft : null,      //url da imagem do Changer - esquerda
    imgChangerRight: null,      //url da imagem do Changer - direita

	constructor: function()
	{
		dojo.connect(document, 'onkeydown', this.keydown);
		dojo.connect(document, 'onkeyup', this.keyup);
	},
	
	keyup : function (e)
	{
		if ( window.event ) // IE
		{
			keycode = e.keyCode;
		}
		else if ( e.which ) // Netscape/Firefox/Opera
		{
			keycode = e.which;
		}
		
	    btnClose	= document.getElementById('btnClose');
	    
	    //HABILITA ESC QUANDO TIVER BTNCLOSE
	    if( keycode == 27 )
	    {
	        //e.preventDefault();
	        if (btnClose)
	        {
	            e.preventDefault();
	            btnClose.onclick();
	            return false;
	        }
	        e.preventDefault();

	        //FIXME isso esta muito hardcode, mas foi a solucao encontrada
	        if ( document.getElementById('frmwinVerifyUser') )
	        {
	        	miolo.doAjax('verifyUserOnClose', '', 'frm__mainForm');
	        	miolo.getWindow('winVerifyUser').close();
	            return true;
	        }
	    }
		
	}
	
	,

	keydown : function (e)
	{	    
		// pega a tecla e bota na variavel, trata por navegador
		if ( window.event ) // IE
		{
			keycode = e.keyCode;
		}
		else if ( e.which ) // Netscape/Firefox/Opera
		{
			keycode = e.which;
		}
		
	    btnClose	= document.getElementById('btnClose');
	    ajaxElement = document.getElementById('ajaxLoading');
	    keyCode     = document.getElementById('keyCode');

	    //bloqueia qualquer pressionamento de tecla caso o elemento de ajax loading esteja presente
	    if ( ajaxElement )
	    {
	    	e.preventDefault();
	        return false;
	    }
	    else
	    {
	    	if (keyCode)
	    	{
	    		keyCode.value = keycode; //seta no elemento keyCode para conseguir pegar nos argumentos
	    	}
	    }

	    // HABILITA [ENTER] NA TELA DE SEARCH
	    // caso for pressionado a tecla ENTER
	    if( keycode == dojo.keys.ENTER )
	    {
	    	//testa o onPressEnter do elemento ativo
            element = document.activeElement
            
            if ( element )
            {
                if( element.type == 'textarea' )//desabilita caso seja texteArea
                {
                    return true; //true permite o enter normal
                }

                onPressEnter = element.getAttribute('onpressenter');
                
                if (!onPressEnter)
                {
                    onPressEnter = element.getAttribute('onPressEnter');
                }

                //s faz eval se encontrou evento
                if ( onPressEnter )
                {
	                eval(onPressEnter);
	                e.preventDefault();
		            return false;
                }
            }
	    	
            //Eventos de botes chamados automaticamente caso encontre estes botes no form
            //tenta localizar btnOk
            element = document.getElementById('btnOk');
            
            if ( !element ) //se no achar, tenta btnYes
            {
            	element = document.getElementById('btnYes');
            }
            
            if ( !element ) //caso ainda no ache tenta o btnLogin 
            {
            	element = document.getElementById('btnLogin');
            }

	        if ( element )
	        {
	            element.onclick();
                e.preventDefault();
	            return false;
	        }
            else // em ltimo caso chama o btnSearch, evento automtico de busca
            if ( document.getElementById('btnSearch') )
            {
                element = document.getElementById('btnSearch')

                lookup = false;
               
                //procura por um lookup
                forms = document.getElementsByTagName('form');
                for (i = 0; i < forms.length; i++)
                {
                	if ( forms[i].id.indexOf('lookup') >= 0 )
                	{
                		//Se tiver um lookup, no executa o btnSearch
                		lookup = true;
                		break;
                	}
                }
                
	            if ( element && !btnClose && !ajaxElement && !lookup)
	            {
	                element.onclick();
                    e.preventDefault();
    	            return false;
	            }
            }

	        return;
	    }

	    //se codes (cdigos de teclas pressionadas) estiver vazio, retorna
	    if ( ( typeof( codes ) == "undefined" ) )
	    {
	       return;
	    }
	    
	    //se apertar 
	    if( keycode == 27 && btnClose )
	    {
	    	return false;
	    }

	    //compara relao de teclas possveis ( definidas por keyDownHandler )
        if ( codes != null)
        {
	        for (i = 0 ; i< codes.length ; i++)
	        {
	            if ( codes[i] == keycode)
	            {
	            	//se existir chama funo ajax
	                miolo.doAjax('onkeydown'+keycode,'',frm);
	                
	                //se for diferente de 13 ( enter) previne o efeito padro
	                if ( codes[i] != 13)
	                {
        	            e.preventDefault();
	                    return false;
	                }
	            }
	        }
        }
	}
	,

    clearForm : function()
    {
    	divGrid = dojo.byId('divGrid');

    	if ( divGrid )
    	{
    		divGrid.innerHTML = '';
    	}

        var elements = document.getElementsByTagName('input');
        for (i=0; i < elements.length; i++)
        {
            if (elements[i].type == 'text')
            {
                elements[i].value = '';
            }

            if (elements[i].type == 'checkbox')
            {
                elements[i].checked = false;
            }
        }

		var elements = document.getElementsByTagName('select');
        for (i=0; i < elements.length; i++)
        {
			elements[i].selectedIndex = 0;
        }
    },


    closeFunctionHelp : function()
	{
		document.getElementById('divFunctionHelp').innerHTML = '';
	}
    ,
    
    help : function()
    {
    	miolo.doAjax('help','',frm);
    }

    ,

    closeAction : function()
    {
		document.getElementById('divForm').innerHTML = '';
		
		//feito em funo de mostrar detalhes na mWindow
        element = dojo.byId('divMaterialDetail');

		if ( element)
		{
			element.innerHTML = '';
		}
	},


	searchAction : function()
	{
		miolo.doAjax('searchFunction', 'gnuteca', frm);
	}
	
	,
	
	disableTab : function ( tabId, disabled , tabControl)
	{
		button = document.getElementById(tabId+'Button');

		if (button)
		{
			if (disabled)
			{
                button.className    = 'a-tab-disabled';
                button.setAttribute('onclick', 'return false;' );
                firstTab(tabControl);
            }
            else
            {
                button.className    = 'a-tab';
                button.setAttribute('onclick', 'return gnuteca.changeTab(\''+tabId+'\',\''+tabControl+'\')' );
                gnuteca.changeTab( tabId, tabControl );
            }
        }

    }

	,
	removeTab : function ( tabId, tabControl )
    {
        button = document.getElementById(tabId+'Button');

        if ( button )
        {
            button.innerHTML = '';
            button.className = 'a-tab-removed';
            button.onclick   = null;
        }

        tab = document.getElementById('m_'+tabId);

        if ( tab )
        {
            tab.innerHTML = '';
        }

        firstTab(tabControl);

    }

    ,
    
	changeTab : function ( tabId , tabControl)
	{
        //FIXME soluo temporrio para funcionar os detalhes da pesquisa no IE
        if ( ! dojo.isIE > 0)
        {
            eval('focus ='+tabId+'Focus');

            if ( focus)
            {
                focus = dojo.byId(focus);
                setTimeout( "focus.focus()", 1);
            }
        }

	    tabArray = eval(tabControl+'Tabs');

	    //Se nao existir a tab, continua na atual
	    var element = document.getElementById(tabId + 'Button');
	    if (!element)
	    {
            return false;
        }

        //desativa todas
		for (i = 0; i < tabArray.length; i++)
		{
            data    = tabArray[i];
            div     = document.getElementById( 'm_'+data )
            button  = document.getElementById( data+'Button' );

            if ( 'm_'+tabId == 'm_'+data )
            {
                button.className = 'a-tab-selected';
                div.style.display = 'block';
            }
            else
            {
                div.style.display = 'none';

                if ( button.className != 'a-tab-disabled' )
                {
                    if ( button.className != 'a-tab-removed' )
                    {
                        button.className  = 'a-tab'
                    }
                }
            }
		}

		return true;
	}

	,
	//troca para a primeira tab do controle
	firstTab : function ( tabControl )
	{
        tabArray = eval(tabControl+'Tabs');
        gnuteca.changeTab( tabArray[0] , tabControl);
    }
	,
	
    changeDisplay : function ( divDisplay, divImage )
    {
        element    = document.getElementById(divDisplay);
        divImage   = document.getElementById(divImage);
        var images = divImage.getElementsByTagName('img');

        if ( element.style.display == 'none' )
        {
            element.style.display = 'block';
            images[0].src = imageMinus;
        }
        else
        {
            element.style.display = 'none';
            images[0].src = imagePlus;
        }
    }

    ,

    toolBarChanger: function()
    {
        mBoxOuter       = dojo.query('.m-box-outer')[0];
        toolBar         = dojo.byId('toolBar');
        toolBarContainer = dojo.byId('toolBarContainer');
        toolbarChanger  = dojo.query('#toolbarChanger img')[0];

        if ( mBoxOuter && toolBar && toolbarChanger)
        {
            //mostra
            if ( toolBar.style.display == 'none')
            {
                toolBar.style.display = 'block';
                toolBarContainer.style.display = 'block';
                mBoxOuter.style.width =  this.mBoxOuterWidth+'px';
                toolbarChanger.src    =  this.imgChangerLeft;
                toolBarChangerState   = 'block';

            }
            else //esconde
            {
                this.mBoxOuterWidth   =  mBoxOuter.clientWidth;
                toolBarChangerState   = 'none';
                toolBarContainer.style.display = 'none';
                toolBar.style.display = 'none' ;
                mBoxOuter.style.width = '99%';
                toolbarChanger.src    =  this.imgChangerRight;
            }
        }
    }

    ,

    hideToolBar : function()
    {
        mBoxOuter               = dojo.query('.m-box-outer')[0];
        toolBar                 = dojo.byId('toolBar');
        toolbarChanger          = dojo.query('#toolbarChanger img')[0];

        if ( mBoxOuter && toolBar && toolbarChanger && toolBarChangerState == 'none')
        {
            toolBarChangerState     = 'none';
            toolBar.style.display   = 'none' ;
            mBoxOuter.style.width   = '99%';
            toolbarChanger.src      = this.imgChangerRight;
        }
    }
	
	,
	
	changeTheme : function ( curentTheme , newTheme )
	{
		//TODO find a better solution
		/*if ( dojo.isIE ) //ie
		{
			elementIndex = 2;
		}
		else
		if ( dojo.isMozilla ) //firefox
		{
			elementIndex = 6;
		}
		else //chhrome
		{
			elementIndex = 5 ;
		}
		
		head		= document.getElementsByTagName('head')[0];
		element		= head.childNodes[elementIndex];
		
		if ( element.href )
		{
			element.href = element.href.replace( 'themes/' + curentTheme + '/', 'themes/' + newTheme + '/' );
		}*/
	}
	
}
);

gnuteca = new Gnuteca;
