dojo.declare ("GnutecaArrayField", null,
{
	context: null

	,

	constructor: function()
	{
        counter         =  null;
	}

	,

	parseLookup : function( id )
	{
		newElement = dojo.byId(id );

        dojo.query('div', newElement).forEach(

        	function ( element )
        	{
                dojo.query('div', element).forEach(

                    function ( innerElement )
                    {
                        if ( innerElement.className == 'mLookupField') //lookup
                        {
                            //trabalha o id, pegando o id do campo para definir o indice
                            id      = innerElement.childNodes[1].childNodes[1].id;
                            tmp     = id.split('[');
                            tmp     = tmp[1].split(']');
                            index   = tmp[0];
                            gnutecaArrayField._parseLookup(innerElement, index);
                        }
                    }
                );
             }
        );
	}
	,

    _parseLookup: function element(innerElement, newValue)
	{
	    //monta o nome do lookup baseado no valor do botão
        lookupName  = innerElement.getAttribute('lookUpName');
        lookupName  = lookupName.replace(/\[[0-9]{1,}\]/, '');

        newLookupname = lookupName + '['+newValue+']';                                                  // novo nome de acordo com contador

        eval( newLookupname + ' = dojo.clone(' + innerElement.getAttribute('lookUpName') +');' );
        eval('lookup = ' + newLookupname+';');
        lookup.context.name     = newLookupname;

        inputField              = innerElement;
        lookup.context.filter   = lookup.context.filter+ '['+newValue+']';                              //adiciona valor ao filter
        related                 = lookup.context.related.split(',');                                    //explode o related que são os campos para preencher

        //passa por todos related adicionando o valor
        for (i = 0; i<related.length ; i++)
        {
            related[i] = related[i].replace(/\[[0-9]{1,}\]/, '');
            related[i] += '[' + newValue + ']';
        }

        lookup.context.related = related.join(',');                                                     //remonta a string
        inputField.setAttribute('onchange',"javascript:"+newLookupname+".start(true); return false;");  //seta o onchange do campo input*/
	}

	,

	add: function (id, name)
	{
	    element 		= document.getElementById('m_'+ name);
		elementInner 	= document.getElementById('m_'+ name +'_'+ id +'_container');
		newElement 		= elementInner.cloneNode(true);

        counter         = document.getElementById( name + '_counter' );
        newValue        = ( counter.value*1) + 1;
        counter.value   = newValue;

        newElement.id   = newElement.id.replace      (/_[0-9]{1,}_/, "_"+newValue+"_");

        //troca id, name, e limpa valor dos inputs
		dojo.query('input' , newElement).forEach(

		  function ( element )
		  {
		      element.value       = '';
		      element.id          = element.id.replace    (/[0-9]{1,}/, newValue);
		      element.name        = element.name.replace  (/[0-9]{1,}/, newValue);
		  }

		);

		//troca id, name, e limpa valor dos inputs
		dojo.query('button' , newElement).forEach(

		  function ( element )
		  {
		      element.value       = '';
		      element.id          = element.id.replace    (/[0-9]{1,}/, newValue);
		      element.name        = element.name.replace  (/[0-9]{1,}/, newValue);
		      if(element.id.indexOf('findButton_lookup') > -1)
		      {
		          var lookUpName = element.id.replace('findButton_', '');
		          element.setAttribute('onclick', "javascript:"+ lookUpName +".start();");
		      }

		  }

		);


		//troca id, name, e limpa valor dos selects
		dojo.query('select', newElement).forEach(

            function ( element )
            {
                element.value = '';
		        element.id      = element.id.replace      (/[0-9]{1,}/, newValue);
		        element.name    = element.name.replace    (/[0-9]{1,}/, newValue);
            }

		);


		//esconde e mostra o add/*
    	dojo.query('a', newElement).forEach(

        	function ( element )
        	{
                element.value = '';
		        element.id      = element.id.replace      (/_[0-9]{1,}_/, "_"+newValue+"_");

		        if(element.id.indexOf("_add") > -1)
		        {
                    element.href    ="javascript:gnutecaArrayField.add('"+ newValue +"', '"+ name +"');"
		        }
		        else if(element.id.indexOf("_remove") > -1)
		        {
                    element.href    ="javascript:gnutecaArrayField.remove('"+ name +"_"+ newValue +"_container', '"+ name +"');"
		        }
        	}

    	);


    	//detecta lookups e faz parse deles
        dojo.query('div', newElement).forEach(

        	function ( element )
        	{
                dojo.query('input', element).forEach(

                    function ( innerElement )
                    {
                        if ( innerElement.getAttribute('lookUpField') == 'lookUpField') //lookup
                        {
                            gnutecaArrayField._parseLookup(innerElement, newValue);
                        }
                    }
                );
        	}

    	);

        for(x = 0; x <= counter.value; x++)
        {
            if(document.getElementById(name + "_"+ x +"_add"))
            {
                dojo.byId(name + "_"+ x +"_add").style.visibility = "hidden";
            }
        }

    	//seta valor do campo contador
        counter.value = newValue;
		element.appendChild( newElement );
	}

	,

	remove : function (elementId, name)
	{
	    var elementRemove = document.getElementById( "m_"+ elementId );
        var father = elementRemove.parentNode;
        father.removeChild(elementRemove);

        counter = document.getElementById( name + '_counter' );
        counter.value = parseInt(counter.value);

        for(x = 0; x <= parseInt(counter.value); x++)
        {
            if(!document.getElementById(name + "_"+ x +"_add"))
            {
                continue;
            }
            if(document.getElementById(name + "_"+ x +"_add").tagName == "A")
            {
                document.getElementById(name + "_"+ x +"_add").style.visibility = "hidden";
            }
        }
        for(x = parseInt(counter.value)+1; x >= -1; x--)
        {
            if(!document.getElementById(name + "_"+ x +"_add"))
            {
                continue;
            }
            if(document.getElementById(name + "_"+ x +"_add").tagName == "A")
            {
                document.getElementById(name + "_"+ x +"_add").style.visibility = "visible";
                counter.value = x;
                break;
            }
        }
	}
}
);

gnutecaArrayField = new GnutecaArrayField;