/**
 *
 * Javascript p/ Catalogao de material
 *
 * @author Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 08/10/2008
 *
 * \b Organization: \n
 * SOLIS - Cooperativa de Solucoes Livres \n
 * The Gnuteca3 Development Team
 *
 * \b CopyLeft: \n
 * CopyLeft (L) 2007 SOLIS - Cooperativa de Solucoes Livres \n
 *
 * \b License: \n
 * Licensed under GPL (for further details read the COPYING file or http://www.gnu.org/copyleft/gpl.html )
 *
 * \b History: \n
 * See history in SVN repository: http://gnuteca.solis.coop.br
 *
 **/

expandRetractContainer = function(ContainerID, ImageID)
{
    var st = dojo.byId(ContainerID).style.display;

    try
    {
        dojo.byId(ContainerID).style.display  = (st == 'none') ? 'block'          : 'none';
    }
    catch(e){}

    try
    {
        dojo.byId(ImageID).src = (st == 'none') ? imageMinusURL    : imagePlusURL;
    }
    catch(e){}
}


/**
 *
 */
displayBox = function(boxName)
{
    var obj = dojo.byId(boxName);
    st  = obj.style.display;
    obj.style.display = (st == 'none') ? 'block' : 'none';

    var iconName = boxName.replace('table', 'icon');
        iconName = iconName.replace('div', 'icon');

    var icon = dojo.byId(iconName);
    icon.src = (st == 'none') ? imageMinusURL    : imagePlusURL;
}

expandStaticFields = function()
{
    obj = dojo.byId('bgStaticFields');

    obj.style.display = (obj.style.display == 'none') ? 'block' : 'none';

    dojo.byId('iconStaticField').src = (obj.style.display == 'block') ? imageMinusURL : imagePlusURL;

}

dictionaryOpened        = false;
selectedOption          = false;
disablePreCatalogue     = false;
marginTop               = 0;
overOption              = false;