<?php
/**
 * Cron from Gnuteca
 *
 * @author Jader Osvino Fiegenbaum [jader@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @since
 * Class created on 11/11/2010
 *
 * \b Organization: \n
 * SOLIS - Cooperativa de Solucoes Livres \n
 * The Gnuteca3 Development Team
 *
 * \b CopyLeft: \n
 * CopyLeft (L) 2010 SOLIS - Cooperativa de Solucoes Livres \n
 *
 * \b License: \n
 * Licensed under GPL (for further details read the COPYING file or http://www.gnu.org/copyleft/gpl.html
 *
 * \b History: \n
 * See history in SVN repository: http://gnuteca.solis.coop.br
 *
 */

$path = dirname(__FILE__);

include($path . "/config.php");
include($path . "/updateSearchMaterialTable.php");

define(SLEEP_TIME, 60); //define ciclo de execuo
$horaAnterior = '';

while(true)
{
    file_put_contents($tmpPath . 'gcron.log', date('d/m/Y H:i:s')); //grava o log de execuo
    
    $hour = date('H');
    if ( $horaAnterior != $hour )
    {
        exec("php {$path}/runScheduleTasks.php"); //thread que executa as tarefas
        $horaAnterior = $hour;
    }
    
    updateTable(); //executa a atualizao da tabela de pesquisa    
   
    sleep(SLEEP_TIME); //aguarda 30 segundos
}

?>
