<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


global $str, $MIOLO, $module, $libraryUnitId, $personId, $operator;

//Informaes requeridas vindas do usurio
$operator       = 'Gnuteca';
$location       = 10;
$libraryUnitId  = 1;
$personId       = 1;

$MIOLO  = MIOLO::getInstance();
$module = MIOLO::getCurrentModule();
$MIOLO->getClass('gnuteca3', 'GnutecaDate');
$MIOLO->getClass('gnuteca3', 'GnutecaBusiness');
$MIOLO->getClass('gnuteca3', 'GnutecaMessages');
$MIOLO->InvokeHandler($module, 'define');

/*
$bus = $MIOLO->getBusiness($module, 'BusPerson');
MIOLO::vd($bus->isOperationProcess(1));
exit;
*/

$busOL = $MIOLO->getBusiness('gnuteca3', 'BusOperationLoan');

exibe('<b>Criando GnutecaOperationLoan -> (Operao de emprstimo)</b>');
exibe('Requisitos para funiconar: Uma unidade com cdigo 1. Uma pessoa com cdigo 1.');
exibe('');


addExemplaryControl('GOL-01');
addExemplaryControl('GOL-02');
addLoan('GOL-01');
addLoan('GOL-02');

exibe('<b>1 - Setando informaes requeridas</b>');
$ok = $busOL->setOperator($operator);
exibe("\$busOL->setOperator('{$operator}'); retornou {$ok}");

$ok = $busOL->setLocation($location);
exibe("\$busOL->setLocation({$location}); retornou {$ok}");

$ok = $busOL->setLibraryUnit($libraryUnitId);
exibe("\$busOL->setLibraryUnit({$libraryUnitId}); retornou {$ok}");

$ok = $busOL->setPerson($personId);
exibe("\$busOL->setPerson({$personId}); retornou {$ok}");

$busOL->setLibraryUnit($libraryUnitId);
exibe($busOL->communicateDelayedLoan());
exit;

exibe('');
exibe('<b>2 - Adicionando exemplares a ser gerado emprstimos</b>');
$exemplares = array(array('GOL-01', ID_LOANTYPE_DEFAULT),
                    array('GOL-02', ID_LOANTYPE_FORCED),
                    array('GOL-03', ID_LOANTYPE_MOMENTARY));

foreach ($exemplares as $e)
{
    exibe("Adicionando exemplar \$busOL->addItemNumber('{$e[0]}', {$e[1]})");
    $busOL->addItemNumber($e[0], $e[1]);
}

exibe('');
exibe('<b>3 - Finalizando devoluo</b>');
$busOL->finalize();
//vd($busOL->getMessages());


$theme->insertContent(new MDiv('divContent', $str) );

function exibe($msg)
{
    global $str;
    $str .= $msg . '<br/>';
}

function addExemplaryControl($itemNumber)
{
    global $MIOLO, $module, $libraryUnitId;
    $busEC = $MIOLO->getBusiness($module, 'BusExemplaryControl');

    $busEC->deleteExemplaryControl($itemNumber);

    $busEC->controlNumber     = 1;
    $busEC->itemNumber        = $itemNumber;
    $busEC->libraryUnitId     = $libraryUnitId;
    $busEC->acquisitionType   = 1;
    $busEC->exemplaryStatusId = 1;
    $busEC->materialGenderId    = 1;
    $busEC->entranceDate      = '2008-10-08';
    $busEC->lowDate           = '2008-10-10';
    $busEC->insertExemplaryControl();
    addMaterialControl($busEC->controlNumber, $busEC->materialGenderId);
}

function addMaterialControl($controlNumber, $materialGenderId)
{
    global $MIOLO, $module;
    $bus = $MIOLO->getBusiness($module, 'BusMaterialControl');
    $bus->deleteMaterialControl($controlNumber);
    $bus->controlNumber  = $controlNumber;
    $bus->entranceDate   = '2008-10-01';
    $bus->lastChangeDate = '2008-10-05';
    $bus->materialGenderId = $materialGenderId;
    $bus->insertMaterialControl();
}

function addLoan($itemNumber)
{
    global $MIOLO, $module, $libraryUnitId, $personId, $operator;
    $bus = $MIOLO->getBusiness($module, 'BusLoan');

    $bus->itemNumberS = $itemNumber;
    $search = $bus->searchLoan(TRUE);
    for ($i=0; $i < count($search); $i++)
    {
        //$bus->deleteLoan($search[$i]->loanId);
    }

    $bus->personId           = $personId;
    $bus->loanTypeId         = 1;
    $bus->linkId             = 1;
    $bus->privilegeGroupId   = 1;
    $bus->itemNumber         = $itemNumber;
    $bus->libraryUnitId      = $libraryUnitId;
    $bus->loanDate           = '2008-10-01';
    $bus->loanOperator       = $operator;
    $bus->returnForecastDate = '2008-10-10';
    $bus->renewalAmount      = 1;
    $bus->renewalWebAmount   = 1;
    $bus->renewalWebBonus    = true;
    //$bus->insertLoan();
}
?>
