<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


function exibe($msg)
{
    return $msg . "<br>";
}

$retorno .= exibe('');
$retorno .= exibe('Getting class...');
$MIOLO->getClass($module, 'GnutecaBusiness');


$retorno .= exibe('');
$retorno .= exibe('Creating object...');
$busTest = new GnutecaBusiness();
$retorno .= exibe('Setting Columns...');
$busTest ->setColumns('id, name, city');


$retorno .= exibe('');
$retorno .= exibe('Simple Array :');
$simpleArray = array('1','Gnuteca', 'Lajeado');
$retorno .= exibe('<pre>'.print_r($simpleArray,1).'</pre>');
$retorno .= exibe('Calling queryToObj in SimpleArray :');
$obj = $busTest->queryToObj($simpleArray);
$retorno .= exibe('<pre>'.print_r($obj,1).'</pre>');


$retorno .= exibe('');
$retorno .= exibe('simpleArrayError : ');
$simpleArrayError = array('1','Gnuteca');
$retorno .= exibe('<pre>'.print_r($simpleArrayError,1).'</pre>');
$retorno .= exibe('Calling queryToObj in SimpleArrayError :');
$obj = $busTest->queryToObj($simpleArrayError);
$retorno .= exibe('<pre>'.print_r($obj,1).'</pre>');


$retorno .= exibe('');
$retorno .= exibe('Multiple Dimension Array : ');
$arrayOfArray = array(array('1','Gnuteca', 'Lajeado'), array('2','Solis', 'Estrela') );
$retorno .= exibe('<pre>'.print_r($arrayOfArray,1).'</pre>');
$retorno .= exibe('Calling queryToObj in Multiple Dimension Array : ');
$obj = $busTest->queryToObj($arrayOfArray);
$retorno .= exibe('<pre>'.print_r($obj,1).'</pre>');


$retorno .= exibe('');
$retorno .= exibe('Multiple Dimension Array Error: ');
$arrayOfArrayError = array(array('1','Gnuteca', 'Lajeado', 'uhu'), array('2','Solis', 'Estrela','someStrangeInformation') );
$retorno .= exibe('<pre>'.print_r($arrayOfArrayError,1).'</pre>');
$retorno .= exibe('Calling queryToObj in Multiple Dimension Array Error: ');
$obj = $busTest->queryToObj($arrayOfArrayError);
$retorno .= exibe('<pre>'.print_r($obj,1).'</pre>');

$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($retorno);
$theme->insertContent($txt);
?>