<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


function exibe($msg)
{
    return $msg . "<br>";
}

$MIOLO->getClass($module, 'GnutecaDate2');

$retorno .= exibe('--------------------------------------------------------------------');
/*
$retorno = exibe('Retorna a mascara do usurio:');
$retorno .= exibe(GnutecaDate::getUserMask('DATE'));
$retorno .= exibe(GnutecaDate::getUserMask('TIME'));
$retorno .= exibe(GnutecaDate::getUserMask('TIMESTAMP'));

$retorno .= exibe('Retorna a mascara do banco:');
$retorno .= exibe(GnutecaDate::getDBMask('DATE'));
$retorno .= exibe(GnutecaDate::getDBMask('TIME'));
$retorno .= exibe(GnutecaDate::getDBMask('TIMESTAMP'));

*/
$date = new GnutecaDate2('12/05/2007');

$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe("Data $dataUsuario convertida para o banco:");
$retorno .= exibe($date->getDate($date->getDBMask('date')));

$retorno .= exibe("Data $dataBanco convertida para o usurio:");
$retorno .= exibe($date->getDate($date->getUserMask('date')));


$retorno .= exibe('--------------------------------------------------------------------');
$dataUsuario = '12/05/2007 12:30:59';
$date = new GnutecaDate2($dataUsuario);

$retorno .= exibe("Data $dataUsuario convertida para o banco:");
$retorno .= exibe($date->getDate($date->getDBMask('timestamp')));

$retorno .= exibe("Data $dataBanco convertida para o usurio:");
$retorno .= exibe($date->getDate($date->getDBMask('timestamp')));


//$retorno .= exibe('--------------------------------------------------------------------');
//$retorno .= exibe("Converte uma data $dataBanco para o array, passa-se a mascar:");
//$retorno .= exibe('<pre>'.print_r(GnutecaDate::toArray($dataBanco, GnutecaDate::getDBMask('TIMESTAMP')), 1).'</pre>');
//$retorno .= exibe('<pre>'.print_r(GnutecaDate::toArray($dataBanco, GnutecaDate::getDBMask('DATE')), 1).'</pre>');


$date = new GnutecaDate2();

$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');
$retorno .= exibe('Retorna a data atual no formato usurio');
$retorno .= exibe('');
$retorno .= exibe($date->getDate($date->getDBMask('date')));
$retorno .= exibe($date->getDate($date->getDBMask('time')));
$retorno .= exibe($date->getDate($date->getDBMask('timestamp')));


$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');
$retorno .= exibe('Retorna o timestampUnix de uma data, passa-se a mascara');
$retorno .= exibe('');
$retorno .= exibe($date->getTimestampUnix());

$mask = $date->getUserMask('timestamp');

$retorno .= exibe("mask == {$mask} == ". $date->getDateFromTimestampUnix($mask));

//$retorno .= exibe('--------------------------------------------------------------------');
//$retorno .= exibe('No caso somando 2 dias');
//$retorno .= exibe( $tsUnix = $date->getTimestampUnix() );
//$tsUnix = $tsUnix + (3600*48);
//$retorno .= exibe($dataUsuario = GnutecaDate::timestampUnixTo($tsUnix, GnutecaDate::getDBMask('TIMESTAMP')));


//$retorno .= exibe('--------------------------------------------------------------------');
//$retorno .= exibe('Converte as mascaras para o formato mascara php:');
//$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('DATE')));
//$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('TIME')));
//$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('TIMESTAMP')));


$data1 = new GnutecaDate2('12/05/2007');
$data2 = new GnutecaDate2('01/05/2007');
$data3 = new GnutecaDate2('01/05/2007');

$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');
$retorno .= exibe('Subtrai datas e retorna o timestamp em segundo (Segundos desde a poca Unix (January 1 1970 00:00:00 GMT)):');
$retorno .= exibe('datas utilizadas:  $data1 = \'12/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe('');
$retorno .= exibe( 'R = '. $data1->subtractDate($data2));

$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');
$retorno .= exibe('Subtrai datas e retorna o numero de dias de diferena');
$retorno .= exibe('');
$retorno .= exibe('datas utilizadas:  $data1 = \'12/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe($data1->diffDays($data2));
$retorno .= exibe('');
$retorno .= exibe('datas utilizadas:  $data1 = \'01/05/2007\'; $data2 = \'12/05/2007\';');
$retorno .= exibe($data2->diffDays($data1));
$retorno .= exibe('');
$retorno .= exibe('datas utilizadas:  $data1 = \'01/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe($data2->diffDays($data3));


$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');
$data = new GnutecaDate2('12/05/2007 12:30:59');
$retorno .= exibe("soma horas: \$dataUsuario = '12/05/2007 12:30:59' soma 15 horas");
$data->sumHours(15);
$retorno .= exibe($data->getDate('dd/mm/yyyy hh:ii:ss'));
$retorno .= exibe('');
$data1 = new GnutecaDate2('12/05/2007 12:30:59');
$retorno .= exibe("soma horas: \$dataUsuario = '12/05/2007 12:30:59' soma -5 horas");
$data1->sumHours(-5);
$retorno .= exibe($data1->getDate('dd/mm/yyyy hh:ii:ss'));


$retorno .= exibe('--------------------------------------------------------------------');
$retorno .= exibe('');

$data = new GnutecaDate2('12/05/2007 12:30:59');
$data->sumDays(15);
$retorno .= exibe("soma dias: \$dataUsuario = '12/05/2007 12:30:59' soma 15 dias");
$retorno .= exibe($data->getDate('dd/mm/yyyy hh:ii:ss'));
$retorno .= exibe('');

$data1 = new GnutecaDate2('12/05/2007 12:30:59');
$data1->sumDays(-5);

$retorno .= exibe("soma dias: \$dataUsuario = '12/05/2007 12:30:59' soma -5 dias");
$retorno .= exibe($data1->getDate('dd/mm/yyyy hh:ii:ss'));

//*/

$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($retorno);
$theme->insertContent($txt);

?>
