<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


function exibe($msg)
{
    return $msg . "<br>";
}

function exibeComando($com, $string, $close)
{
    $gnutecaFunction = new GnutecaFunction();
    $retorno .= exibe('');
    foreach ($com as $c)
    {
        $text = '<' . $c . '>' . $string . $close;
        $retorno .= exibe($c . ' -> ' . $text . ' -> ' . $gnutecaFunction->interpret($text));
    }

    return $retorno;
}

$retorno .= exibe('');
$retorno .= exibe("Teste da GnutecaFunction");

$MIOLO->getClass($module, 'GnutecaFunction');
$gnutecaFunction = new GnutecaFunction();

/*
unset($com);
$com[] = 'cut 0| 11';
$com[] = 'cut 10';
$retorno .= exibeComando($com, 'O retorno ser as 11 primeiras letras', '</cut>');

unset($com);
$com[] = 'pad 10| -| LEFT';
$com[] = 'pad 10';
$com[] = 'pad 10| *';
$com[] = 'pad 10| -| BOTH';
$retorno .= exibeComando($com, 'Gnuteca', '</pad>');

unset($com);
$com[] = 'replace bom s| timo ssss';
$retorno .= exibeComando($com, 'O Gnuteca  um bom software', '</pad>');

unset($com);
$com[] = 'upper';
$retorno .= exibeComando($com, 'maiscula', '</upper>');

unset($com);
$com[] = 'lower';
$retorno .= exibeComando($com, 'MINSCULA', '</lower>');

$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<getmaterialcontent \$controlNumber| 245.a></getmaterialcontent>") ."</b>");

$gnutecaFunction->setVariable('$controlNumber', 54548);
$text = '<getmaterialcontent $controlNumber| 245.a ></getmaterialcontent>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= "<br>";
$text = '<getmaterialcontent $controlNumber| 245.a| 1| 1></getmaterialcontent>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= "<br>";
$text = '<getmaterialcontent $controlNumber | 245.b | 1 | 1></getmaterialcontent>';
$retorno .= $gnutecaFunction->interpret($text);

*/


/*
$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<gtcSeparator \$controlNumber | 245.a | # | 245.b | x | 246.a></gtcSeparator>") ."</b>");

$gnutecaFunction->setVariable('$controlNumber', 54548);
$text = '<gtcSeparator $controlNumber | ?245.a? | # | ?245.b? | x | ?246.a?></gtcSeparator>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');

$text = '<gtcSeparator $controlNumber | 245.a | # | 245.b | x | 246.a></gtcSeparator>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');
*/

/*
$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<gtcSeparator \$controlNumber | 245.a | # | 245.b | x | 246.a></gtcSeparator>") ."</b>");

$gnutecaFunction->setVariable('$controlNumber', 54548);
$text = '<gtcSeparator $controlNumber | ?245.a? | # | ?245.b? | x | ?246.a?></gtcSeparator>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');

$text = '<gtcSeparator $controlNumber | 245.a | # | 245.b | x | 246.a></gtcSeparator>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');
*/

/*
$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<compare x | = | y></compare>") ."</b>");
$text = '<compare x | = | y> testando </compare>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<compare x | = | x></compare>") ."</b>");
$text = '<compare x | = | x> (x = x) OK</compare>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<compare 1 | maior | 2></compare>") ."</b>");
$text = '<compare 1 | maior | 2> 1  maior 2 OK</compare>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<compare 1 | menor | 2></compare>") ."</b>");
$text = '<compare 1 | menor | 2> 1 menor 2 OK</compare>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');

$retorno .= exibe('');
$retorno .= exibe("Teste da funcao <b>". htmlentities("<compare 1 | != | 2></compare>") ."</b>");
$text = '<compare 1 | != | 2> 1 != 2 OK</compare>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');
*/

/*
$retorno .= exibe('');
$gnutecaFunction->setVariable('$controlNumber', 54548);
$retorno .= exibe("Teste da funcao <b>". htmlentities("<dbMaterialCount \$controlNumber | 700.a | maior | 3></dbMaterialCount>") ."</b>");
$text = '<dbMaterialCount $controlNumber | 700.a | maior | 3> content </dbMaterialCount>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


$retorno .= exibe('');
$gnutecaFunction->setVariable('$controlNumber', 54548);
$retorno .= exibe("Teste da funcao <b>". htmlentities("<dbMaterialCount \$controlNumber | 700.a ></dbMaterialCount>") ."</b>");
$text = '<dbMaterialCount $controlNumber | 700.a > content </dbMaterialCount>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


$retorno .= exibe('');
$gnutecaFunction->setVariable('$controlNumber', 54548);
$retorno .= exibe("Teste da funcao <b>". htmlentities("<dbMaterialCount \$controlNumber | 100.a ></dbMaterialCount>") ."</b>");
$text = '<dbMaterialCount $controlNumber | 100.a  > content </dbMaterialCount>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');
*/

/*
$retorno .= exibe('');
$gnutecaFunction->setVariable('$controlNumber', 54548);
$retorno .= exibe("Teste da funcao <b>". htmlentities("<gtcgetmaterialcontent \$controlNumber | 100.a ></dbMaterialCount>") ."</b>");
$text = '<gtcgetmaterialcontent $controlNumber | 100.a | 1 | 0 ></dbMaterialCount>';
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');


*/


$retorno .= exibe('');
$gnutecaFunction->setVariable('$100.a', "Spezia, Jamiel");
$retorno .= exibe("Teste da funcao <b>". htmlentities("<upper><pregmatch ^[\w]{0,} | $100.a></pregmatch></upper><pregmatch [\w\s]{0,}$ | $100.a></pregmatch>") ."</b>");
$text = '<upper><pregmatch ^[\w]{0,} | $100.a></pregmatch></upper> === ';
$text.= '<pregmatch [\w\s]{0,}$ | $100.a></pregmatch> ==  ';
flog($text);
$retorno .= $gnutecaFunction->interpret($text);
$retorno .= exibe('');

/*
$retorno .= exibe('');
$text = "<upper><replace Gnuteca| Gnuteca3><cut 2|7>O Gnuteca  um bom software</cut></replace></upper>";
$retorno .= $gnutecaFunction->interpret($text);
*/
$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($retorno);
$theme->insertContent($txt);

?>
