<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/

class NewsWidget extends GnutecaWidget
{
    public $MIOLO;
    public $module;
    public $busNews;

    public function __construct()
    {
        $this->MIOLO    = MIOLO::getInstance();
        $this->module   = 'gnuteca3';
        $this->busNews  = $this->MIOLO->getBusiness($this->module, 'BusNews');
        parent::__construct('newsWidget', _M('Notcias', $this->module), "javascript:alert('');",'news-16x16.png' );
    }

    public function widget()
    {
        $search = $this->busNews->getActiveByPlace( BusinessGnuteca3BusNews::PLACE_TYPE_INITIAL_SCREEN );

        if ($search)
        {
            foreach ($search as $v)
            {
                $date = new GnutecaDate2($v->date);
                $news[] = '<b>' . $date->getDate(MASK_DATE_USER) . ' :: ' . $v->title1 . '</b><br>' . str_replace("\n", '<br>', $v->news);
            }
            
            $tb = new MTableRaw(null, $news);
            $tb->setAlternate(true);

            $controls[] = $tb;
        }
        else
        {
            $controls[] = new MLabel(_M('Nenhuma notcia encontrada', $this->module));
        }
        $this->setControls($controls);
    }
}
?>
