<?php

/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
* A MIOLO Field ( control ) to Administer integer values
* It adds a js the permits only nunbers to be digited
* and add the miolo MIntegerValidator
*/
class GnutecaIntegerField extends MTextField
{
    /**
    * Create the GnutecaIntegerField
    *
    * @param $name          the id of the field
    * @param $value         the value of the field
    * @param $label         the label of the field
    * @param $size          the size of the field
    * @param $hint          the hint of the field
    * @param $validator     the default validator
    * @param $isReadOnly    if the field is read only or not
    * @param $required      if the field is required or not
    */
    public function GnutecaIntegerField($name , $value = '', $label = '', $size = 10, $hint = '', $validator = NULL, $isReadOnly = false, $required = false)
    {
        parent::__construct($name, $value, $label, $size, $hint, $validator, $isReadOnly);
        $validator = new MIntegerValidator($name, $label, 'optional');
        $this->addAttribute('onkeypress', 'return OnlyNumbers2(event)');
        if ($required)
        {
            $requiredValidator = new MRequiredValidator($name, $label);
            $this->setValidator($requiredValidator);
        }
        $MIOLO  = MIOLO::getInstance();
        $module = $MIOLO->getCurrentModule();
        $this->page->addScript('GnutecaIntegerField.js', $module);
    }
}
?>
