<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * gtcTask business
 *
 * @author Luiz Gilberto Gregory F [luiz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 06/08/2009
 *
 **/


class BusinessGnuteca3BusScheduleCycle extends GnutecaBusiness
{
    public $scheduleCycleId,    //integer,
           $description,        //varchar,
           $valueType;          //varchar

    public $columns,
           $table       = 'gtcScheduleCycle',
           $pkeys       = 'scheduleCycleId',
           $cols        = 'description, valueType';


    public function __construct()
    {
        $this->columns = "{$this->pkeys}, {$this->cols}";
        parent::__construct($this->table, $this->pkeys, $this->cols);
    }


    public function insertScheduleCycle()
    {
        return $this->autoInsert();
    }


    public function updateScheduleCycle()
    {
        return $this->autoUpdate();
    }


    public function deleteScheduleCycle($taskId)
    {
        return $this->autoDelete($taskId);
    }


    public function getScheduleCycle($taskId)
    {
        $this->clear();
        return $this->autoGet($taskId);
    }


    /*
    public function searchScheduleCycle($object = false)
    {
        $this->clear();
        $filters = array
        (
            'taskId'            => 'equals',
            'description'       => 'ilike',
            'parameters'        => 'ilike',
            'enable'            => 'ilike',
            'scriptName'        => 'ilike',
        );

        return $this->autoSearch($filters, $object);
    }
    */

}
?>
