<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * Class ExemplayStatus Search form
 *
 * @author Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 13/08/08
 *
 **/
class FrmExemplaryStatusSearch extends GnutecaForm
{
    function __construct()
    {
        $this->setAllFunctions('ExemplaryStatus', array('exemplaryStatusIdS', 'descriptionS') );
        parent::__construct();
    }

    public function createFields()
    {
        $fields[] = new MTextField      ("exemplaryStatusIdS",              $this->exemplaryStatusIdS->value,                   _M("Code",                                  $this->module), FIELD_ID_SIZE);
        $fields[] = new MTextField      ("descriptionS",                    $this->descriptionS->value,                         _M("Description",                           $this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField      ("maskS",                           $this->maskS->value,                                _M("Mask",                                  $this->module), FIELD_DESCRIPTION_SIZE, null);
        $fields[] = new GnutecaSelection('levelS',                          $this->levelS->value,                               _M("Level",                                 $this->module), array(1 => _M("Initial",    $this->module), 2 => _M("Transition",   $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('executeLoanS',                    $this->executeLoanS->value,                         _M("Execute Loan",                          $this->module), array(t => _M("Sim",        $this->module), f => _M("No",          $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('momentaryLoanS',                  $this->momentaryLoanS->value,                       _M("Momentary loan",                        $this->module), array(t => _M("Sim",        $this->module), f => _M("No",          $this->module)), null, null, null, FALSE);
        $fields[] = new MTextField      ("daysOfMomentaryLoanS",            $this->daysOfMomentaryLoanS->value,                 _M("Days of momentary loan",                $this->module), FIELD_ID_SIZE);
        $fields[] = new GnutecaSelection('executeReserveS',                 $this->executeReserveS->value,                      _M("Execute reserve",                       $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('executeReserveInInitialLevelS',   $this->executeReserveInInitialLevelS->value,        _M("Execute reserve in initial level",      $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('meetReserveS',                    $this->meetReserveS->value,                         _M("Meet reserve",                          $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('isReserveStatusS',                $this->isReserveStatusS->value,                     _M("Is reserve status",                     $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('isLowStatusS',                    $this->isLowStatusS->value,                         _M("Is low status",                         $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);
        $fields[] = new GnutecaSelection('scheduleChangeStatusForRequestS', $this->scheduleChangeStatusForRequestS->value,      _M("Schedule interchange status for request",  $this->module), array(t => _M("Sim", $this->module), f => _M("No", $this->module)), null, null, null, FALSE);

        $this->setFields( $fields );
    }
}
?>
