<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * File search form
 *
 * @author Eduardo Bonfandini [eduardo@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 14/10/2010
 *
 **/
$MIOLO->getClass('gnuteca3', 'controls/FileUploader');
class FrmFileSearch extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('File', array('filePath') ,array('filePath'));
        parent::__construct();
    }


    public function createFields()
    {
        $fields[] = new MTextField('fileName', '', _M('Filename',$this->module),   FIELD_DESCRIPTION_SIZE );
        $fields[] = new MTextField('extension', '', _M('Extension',$this->module), FIELD_DESCRIPTION_SIZE );
        $fields[] = new GnutecaSelection('folder', null, _M('Folder'), $this->business->listFolder(), null, null, null, null);

        $this->setFields( $fields );
    }


    /**
     * Visualiza os arquivos possveis e permite o download dos no conhecidos.
     *
     *
     * @param <string> $relative
     *
     */
    public function gridDownloadFile($relative)
    {
        $file = $this->business->getFile($relative);
        FileUploader::downloadFile($file);
    }
}
?>