<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * Library Unit search form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 29/07/2008
 *
 **/
class FrmGeneralPolicySearch extends GnutecaForm
{
    public $businessPrivilegeGroup;
    public $businessLink;

    public function __construct()
    {
        MIOLO::getInstance()->getClass('gnuteca3', 'GnutecaIntegerField');
        $this->businessPrivilegeGroup   = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusPrivilegeGroup');
        $this->businessLink     = MIOLO::getInstance()->getBusiness(MIOLO::getCurrentModule(), 'BusBond');
        $this->setAllFunctions('GeneralPolicy', array('privilegeGroupIdS','linkIdS'));
        parent::__construct();
    }

    public function createFields()
    {
        $fields[] = new GnutecaSelection('privilegeGroupIdS', $this->privilegeGroupIds->value, _M('Privilege group',$this->module), $this->businessPrivilegeGroup->listPrivilegeGroup());
        $fields[] = new GnutecaSelection('linkIdS', $this->linkIdS->value, _M('Link',$this->module), $this->businessLink->listBond());
        $fields[] = new GnutecaIntegerField('loanGeneralLimitS', null, _M('Loan limit', $this->module));
        $fields[] = new GnutecaIntegerField('reserveGeneralLimitS', null, _M('Reserve limit', $this->module));
        $fields[] = new GnutecaIntegerField('reserveGeneralLimitIninitialLevelS', null, _M('Reserve limit at initial level', $this->module));
        $this->setFields( $fields );
    }
}
?>