<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * Class Layout form
 *
 * @author Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 05/ago/08
 *
 **/
class FrmLibraryGroup extends GnutecaForm
{
    function __construct()
    {
        $this->MIOLO    = MIOLO::getInstance();
        $this->module   = MIOLO::getCurrentModule();
        $this->function = MIOLO::_REQUEST('function');
        $this->setAllFunctions('LibraryGroup', null, 'libraryGroupId', 'description');
        parent::__construct();
    }


    public function createFields()
    {
        $fields[] = $description = new MTextField("description", $this->description->value,  _M("Description",   $this->module), FIELD_DESCRIPTION_SIZE);
        $description->addAttribute('onpressenter', GnutecaUtils::getCloseAction(true));
        $fields[] = new MMultiLIneField("observation", $this->observation->value,  _M("Observation",   $this->module), null, FIELD_MULTILINE_ROWS_SIZE, FIELD_MULTILINE_COLS_SIZE);

        if( MIOLO::_REQUEST('function') == 'update')
        {
            $fields[] = new HiddenField("libraryGroupId", MIOLO::_REQUEST('libraryGroupId'), null, 0);
        }
        $this->setFields( $fields );
        $validators[] = new MRequiredValidator  ("description", _M("Description", $this->module) );
        $this->setValidators($validators);
    }
}
?>