<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * Class Request change exemplary status access Form Search
 *
 * @author Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 24/04/2009
 *
 **/
class FrmRequestChangeExemplaryStatusAccessSearch extends GnutecaForm
{
    public $busExemplaryStatus;
    public $busRequestChangeExemplaryStatusAccess;
    public $busBond;

    public function __construct()
    {
        $MIOLO  = MIOLO::getInstance();
        $module = MIOLO::getCurrentModule();
        $this->busRequestChangeExemplaryStatusAccess = $MIOLO->getBusiness($module, 'BusUserGroup');
        $this->busBond = $MIOLO->getBusiness($module, 'BusBond');
        $this->busExemplaryStatus = $MIOLO->getBusiness($module, 'BusExemplaryStatus');
        $this->setAllFunctions('RequestChangeExemplaryStatusAccess', array('basLinkId'));
        parent::__construct();
    }

    public function createFields()
    {
        $fields[] = new GnutecaSelection('basLinkIdS', $this->basLinkIdS->value, _M('User group code', $this->module), $this->busBond->listBond());
        $fields[] = new GnutecaSelection('exemplaryStatusIdS', $this->exemplaryStatusIdS->value, _M('Exemplary status', $this->module), $this->busExemplaryStatus->listExemplaryStatus());

        $this->setFields( $fields );
    }
}
?>