<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * UserGroup search form
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 29/07/2008
 *
 **/
class FrmUserGroupSearch extends GnutecaForm
{

    public function __construct()
    {
        $this->setAllFunctions('UserGroup', array('linkIdS','descriptionS'));
        parent::__construct();
    }


    public function createFields()
    {
        $fields[]       = new MTextField('linkIdS', "", _M('Code',$this->module), FIELD_ID_SIZE);
        $validators[]   = new MIntegerValidator('linkIdS','','');
        $fields[]       = new MTextField('descriptionS', $this->descriptionS->value, _M('Description',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[]       = new MTextField('levelS', $this->levelS->value, _M('Level',$this->module), 2);
        $validators[]   = new MIntegerValidator('levelS','','');

        // isVisibleToPerson
        $lbl = new MLabel( _M('Is visible to person', $this->module) . ':' );
        $lbl->setWidth(FIELD_LABEL_SIZE);
        $isVisibleToPerson = new MRadioButtonGroup('isVisibleToPersonS', null, GnutecaUtils::listYesNo(1), null, null, MFormControl::LAYOUT_HORIZONTAL);
        $fields[] = new MHContainer('hctIVTP', array($lbl, $isVisibleToPerson));

        $this->setFields( $fields );
        $this->setValidators($validators);
    }
}
?>