<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Authenticate
 *
 * @author Eduardo Bonfandini [eduardo@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 01/10/2008
 *
 **/


class FrmVerifyLinks extends GnutecaForm
{
    public function __construct($args)
    {
        parent::__construct( _M('Verify Links', $this->module) );
        $this->setIcon($this->MIOLO->getUI()->getImage($this->module, 'myLibrary-16x16.png'));
        $this->eventHandler();
    }


    public function createFields()
    {
    	$fields[] = new MDiv('divDescription', _M('Aumentar o tempo limite para testar cada link, aumenta a probabilidade de encontrar o link, mas faz com que o teste demore mais a acontecer.', $this->module), 'reportDescription');
        $fields[] = new MTextField('timeOut', ini_get('default_socket_timeout'), _M('Tempo limite, em segundos, para testar cada link', $this->module));
        $fields[] = new MTextField('tag', MARC_NAME_SERVER, _M('Tag a verificar', $this->module));
        $fields[] = new MButton('btnVerifyLinks',_M('Verify Links', $this->module));
        $fields[] = new MDiv('divResult');
        $this->setFields( $fields );
    }


    public function btnVerifyLinks_click($args)
    {
        $busMaterial = $this->MIOLO->getBusiness( $this->module, 'BusMaterial');
        $data = $busMaterial->verifyLinks($args->tag, $args->timeOut);

        $fields[] = new MTableRaw( _M('Relao de links com problemas - Total :', $this->module). count($data) , $data, array(_M('Control number', $this->module), _M('Link', $this->module) ) );

        $this->setResponse( $fields ,'divResult');
    }
}
?>
