<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Cadastro de servidores Z39.50
 *
 * @author Jader Osvino Fiegenbaum [jader@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 *
 * @since
 * Class created on 29/12/2010
 *
 **/
class FrmZ3950ServersSearch extends GnutecaForm
{
    public function __construct()
    {
        $this->setAllFunctions('Z3950Servers', array('serverIdS', 'descriptionS'), 'serverId');
        parent::__construct();
    }

    public function createFields()
    {
        $fields[] = new MTextField('serverIdS', '', _M('Code',$this->module), FIELD_ID_SIZE);
        $fields[] = new MTextField('descriptionS', '', _M('Description',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('hostS', '', _M('Endereo',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[]  = new GnutecaSelection('recordTypeS', '', _M('Tipo', $this->module), BusinessGnuteca3BusDomain::listForSelect('Z3950_RECORD_TYPE'));
        $fields[] = new MTextField('sintaxS', '', _M('Sintaxe',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('countryS', '', _M('Pas',$this->module), FIELD_DESCRIPTION_SIZE);
        $fields[] = new MTextField('usernameS', '', _M('Usurio',$this->module), 20);
        $fields[] = new MTextField('passwordS', '', _M('Senha',$this->module), 20);

        $this->setFields( $fields );
    }
}
?>