<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Grid for Library Groups Listing
 *
 * @author Luiz G. Gregory Filho [luiz@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 05/ago/2008
 *
 **/


/**
 * Grid used by form to display_M("Label Layout Grid Listing", $this->module) search results
 **/

class GrdLibraryGroup extends GnutecaGrid
{
    public  $MIOLO,
            $module,
            $home;
            
    public $columns;

    function __construct($data)
    {
        $this->MIOLO    = MIOLO::getInstance();
        $this->module   = MIOLO::getCurrentModule();
        $this->home     = 'main:configuration:libraryGroup';

        $columns[] =  new MGridColumn( _M('Code',         $this->module), MGrid::ALIGN_RIGHT,    null, null, true, null, true );
        $columns[] =  new MGridColumn( _M('Description',  $this->module), MGrid::ALIGN_LEFT,     null, null, true, null, true );
        parent::__construct($data, $columns, $this->MIOLO->getCurrentURL(), LISTING_NREGS, 0, 'gridLabelLayout');
        
        $args_upd['function'] = 'update';
        $args_upd['libraryGroupId'] = '%0%';

        $href_upd = $this->MIOLO->getActionURL( $this->module, $this->MIOLO->getCurrentAction(), null, $args_upd );

        $args_del['function'] = 'delete';
        $args_del['libraryGroupId'] = '%0%';

        $this->setIsScrollable();
        $this->addActionUpdate( $href_upd );
        $this->addActionDelete( GnutecaUtils::getAjax('tbBtnDelete_click', $args_del) );
    }   
}
?>