<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Grid
 *
 * @author Moises Heberle [moises@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Luiz Gregory Filho [luiz@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 * Sandro Roberto Weisheimer [sandrow@solis.coop.br]
 *
 * @since
 * Class created on 01/12/2008
 *
 **/
class GrdSearchableField extends GnutecaGrid
{
    public function __construct($data)
    {
    	global $MIOLO, $module, $action;

        $columns = array(
            new MGridColumn(_M('Code', $module),          MGrid::ALIGN_RIGHT,  null, null, true, null, true),
            new MGridColumn(_M('Description', $module),   MGrid::ALIGN_LEFT,   null, null, true, null, true),
            new MGridColumn(_M('Field', $module),         MGrid::ALIGN_LEFT,   null, null, true, null, true),
            new MGridColumn(_M('Identifier', $module),    MGrid::ALIGN_LEFT,   null, null, true, null, true),
            new MGridColumn(_M('Observation', $module),   MGrid::ALIGN_LEFT,   null, null, true, null, true),
            new MGridColumn(_M('Is restricted', $module), MGrid::ALIGN_CENTER, null, null, true, GnutecaUtils::listYesNo(), true),
            new MGridColumn(_M('Level', $module),         MGrid::ALIGN_RIGHT,   null, null, true, null, true)
        );


        parent::__construct($data, $columns, $MIOLO->getCurrentURL(), LISTING_NREGS, 0, 'gridSearchableField');

        $args['searchableFieldId'] = '%0%';
        $args['function']          = 'update';
        $hrefUpdate = $MIOLO->getActionURL($module, $action, null, $args);
        $args['function'] = 'delete';
        $this->setIsScrollable();
        $this->addActionUpdate( $hrefUpdate );
        $this->addActionDelete( GnutecaUtils::getAjax('tbBtnDelete_click', $args) );
    }
}
?>
