<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 *
 * @author Luiz Gilberto Gregory Filho
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @since
 * Class created on 08/10/2008
 *
 **/

    // Handler Details

    $frm            = "ISO2709Import";
    $home           = "main:catalogue:iso2709:import";
    $closeButton    = "main:catalogue:iso2709";
    $navbarTitle    = _M('ISO 2709 Import', $module);

    // data send for formulary
    $data->home         = $home;
    $data->closeButton  = $closeButton;

    // Handler
    $navbar->addOption($navbarTitle, $module, $home, null, null);

    $ui         = $MIOLO->getUI();
    $item       = MIOLO::_REQUEST('item');
    $function   = MIOLO::_REQUEST('function');
    $content    = null;

    switch ( $function )
    {
        default:
            $content = $ui->getForm($module, "Frm{$frm}", $data);
        break;
    }

    if ($content->checkAccess())
    {
        $content->setClose($MIOLO->getActionURL($module, $closeButton));
        $theme->clearContent    ( $content );
        $theme->insertContent   ( $content );
    }
?>
