<?php

/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Label Layout handler.
 * Contains the menus to access configuration submenus
 *
 * @author Luiz Gilberto Gregory Filho
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Luiz Gilberto Gregory Filho [luiz@solis.coop.br]
 *
 * @since
 * Class created on 05/08/2008
 *
 **/
$frm            = "LibraryGroup";
$home           = "main:configuration:libraryGroup";
$closeButton    = "main:configuration";
$navbarTitle    = _M('Library group', $module);

$navbar->addOption($navbarTitle, $module, $home, null, array('function' => 'search'));

$ui         = $MIOLO->getUI();
$function   = MIOLO::_REQUEST('function');
$content    = null;

switch ( $function )
{
    case 'insert':
        
    case 'update':            
    
    case 'delete':
    
        $content = $ui->getForm($module, "Frm{$frm}");
        break;
    
    case 'search':            
                                        
    default:
        
        $content = $ui->getForm($module, "Frm{$frm}Search");
        break;
}

if ($content->checkAccess())
{
	$content->setClose($MIOLO->getActionURL($module, $closeButton));
	$content->setIcon( $ui->getImage( $module, 'libraryGroup-16x16.png' ) );
	$theme->clearContent( $content );
	$theme->insertContent( $content );
}
?>