<?php

/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 * 
 * Este arquivo  parte do programa Gnuteca.
 * 
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 * 
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 * 
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 * 
 * Configuration handler.
 * Contains the menus to access configuration submenus
 *
 * @author Jamiel Spezia
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Rafael Lus Spengler [rafael@solis.coop.br]
 * Tiago Gossmann [tiagog@solis.coop.br]
 *
 * @since
 * Class created on 26/01/2007
 *
 **/
$img = new MImage('icon', _M('Search', $module), $MIOLO->getUI()->getImage($this->module, 'search-16x16.png'));
$navbar->addOption($img->generate()._M('Search', $module), $module, 'main:search', null, array('function'=>'resetStack'));

$theme->clearContent();
$theme->insertContent(  $MIOLO->getUI()->getForm($module, "FrmSimpleSearch") );

//Esconde a navbar quando estiver na pesquisa e nao houver operador logado (ticket #5376)
if (!GnutecaOperator::isLogged())
{
    $navbar->clear();
}
?>