var t; //necessrio para poder reinicar o temporizador

/* Funciona ao selecionar um item*/
function selectedItem(name,cont)
{
    //caso tenha tabela
    if ( cont > 0 )
    {
        //mostra div
        div = dojo.byId(name+'Div');
        div.style.display='block';

        //limpa todos
        for ( i=0; i < cont-1 ; i++ )
        {
            itemC = dojo.byId(name+'Item'+i);
            itemC.className = itemC.className.replace('m-tableraw-row-selected',''); //tira classe
        }

        //seleciona o atual
        input = dojo.byId(name+'Input');
        value = input.value;
        item = dojo.byId(name+'Item'+value);
        item.className += 'm-tableraw-row-selected'; //coloca classe
        firstItem = dojo.byId(name+'Item0');
        div.scrollTop = value *  ( firstItem.clientHeight + 5 );
    }
}

/*s executa caso tenha mais de 2 caracteres e no tive ajax, e fique 1 segundo sem digitar nada*/
function onkeyUpDictionary( event, element , name, related, item, filter)
{
    //definio das teclas padro
    keyEsc = 27;
    keyUp = 38;
    keyDown = 40;
    keyEnter = 13;
    keyTab = 9;
    keyRigth = 39;
    keyLeft  = 37;

    keyCode = ( window.event ) ? event.keyCode : event.which; //obtem tecla pressionada
    input = dojo.byId(name+'Input'); //obtem input
    table = dojo.byId(name+'Table'); //obtem table
    div = dojo.byId(name+'Div');
    cont = 0;

    if ( table )
    {
        tBody = table.childNodes[1]; //pega body da tabela, s funciona no firefox
        cont = tBody.childNodes.length/2; //quantidade de tr
        cont = parseInt( cont.toFixed() ); //tira as casas decimais
    }

    //esc esconde listagem
    if ( keyCode == keyEsc )
    {
        div.style.display='none';
        return false;
    }
    else if ( keyCode == keyUp )
    {
        if ( parseInt(input.value) > 0 )
        {
            input.value --;
        }

        selectedItem(name,cont);

        return false;
    }
    else if ( keyCode == keyDown )
    {
        if ( input.value == '')
        {
            input.value = '0';
        }
        else
        {
            if ( parseInt(input.value) < cont-2 )
            {
                input.value ++;
            }
        }

        selectedItem(name,cont);

        return false;
    }
    else if ( keyCode == keyEnter )
    {
        myOnPressEnter = element.getAttribute('myOnPressEnter' );
        
        //seleciona o atual
        value = input.value;

        if ( value != '' && cont > 0 && div.style.display != 'none')
        {
            item = dojo.byId(name+'Item'+value);
            item.onclick(); //seleciona ativando o onclick do objeto
        }
        else
        {
            //executa o onpressEnter do campo caso a tabela esteja escondida
            eval(myOnPressEnter);
        }
    }
    else if ( keyCode == keyTab )
    {
        div.style.display = 'none';

        return true; //para poder ir pro prximo campo
    }
    else if ( keyCode == keyRigth || keyCode == keyLeft )
    {
        return true; //para poder ir pro prximo campo
    }
    else
    {
        if ( element.value.length > 1 && !dojo.byId('ajaxLoading') )
        {
            clearTimeout(t);
            t = setTimeout( "dictionaryAjax('"+element.id+"', '"+name+"', '"+related+"', '"+item+"', '"+filter+"');",500);
        }
        else
        {
            div.style.display='none';
            return true;
        }
    }

    return true;
}

/*ajax s  permitido em alguns casos*/
function dictionaryAjax( elementId, name, related, item, filter )
{
    element = dojo.byId(elementId);

    if ( element.value.length > 2 )
    {
        miolo.doAjax('onkeyUpDictionary', 'name|~|'+name+'|#|related|~|'+related+'|#|item|~|'+item+'|#|filter|~|'+filter, frm);
        addAjaxLoading();
    }
}

/* funo chamada na resposta do onkeyup*/
function onkeyUpResponse(name)
{
   isRepetivive = dojo.byId('m_'+name).parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.nodeName == 'FIELDSET' ? true : false;

   myDiv = dojo.byId(name+'Div');
   myTable = dojo.byId(name+'Table');
   myElement = dojo.byId(name);
   myDiv.style.display='block';
   myDiv.style.left = myElement.offsetLeft-10+'px';
   myDiv.style.top = myElement.offsetTop+6+'px';
   myTable.style.minWidth = myElement.clientWidth+2+'px'
   dojo.byId(name+'Input').value = ''; //limpa a seleo atual
   myDiv.scrollTop = 0;
   
   if ( isRepetivive && myElement)
   {
       onpressenter = myElement.getAttribute( 'onPressEnter' );
       onpressenterChanged = myElement.getAttribute( 'onPressEnterChanged' );

       //troca o evento onpressenter para myOnPressEnter para ser gerenciado pelo componente
       if ( !onpressenterChanged )
       {
            myElement.setAttribute('onPressEnter', "" );
            myElement.setAttribute('myOnPressEnter', onpressenter );
            myElement.setAttribute('onPressEnterChanged' ,true);
       }

       myDiv.style.top = myElement.offsetTop-8+'px';
   }
}