dojo.declare ("GnutecaSearch", null,
{
	context: null ,
	constructor: function()
	{
	},

    //se seleciona express�o esconde o (+)
    
    changeAddTermStatus : function()
    {
        //imageAdd =  document.getElementById('m_addTerm');
        imageAdd =  document.getElementById('addTerm');

        if (imageAdd)
        {
            if ( document.getElementById('termType[]').selectedIndex == document.getElementById('termType[]').options.length-1 )
            {
                imageAdd.style.display = 'none';
                
                //tem que ser 1 porque nao pra apagar o elemento 0
                for (i = 1 ; i < 20 ; i++)
                {
                	element = dojo.byId('divExtraTerms'+i);
                	
                	if ( element )
                	{
                        element.innerHTML = null;
                	}
                }
                
                termControl = dojo.byId('termControl');
                
                if (termControl)
                {
                	termControl.value = 0;
                }
            }
            else
            {
                imageAdd.style.display = 'inline';
            }
        }
    },

    // esconde/mostra a busca especial
    changeAdvSearch : function()
    {
        element = document.getElementById('m_divAdvancedSearch');

        if (element)
        {
			if (element.style.display == 'none' )
			{
			   element.style.display = 'block';
               dojo.fx.wipeOut( {node: 'm_divAdvancedSearch', duration: 0} ).play();
               dojo.fx.wipeIn( {node: 'm_divAdvancedSearch', duration: 500} ).play();
               document.getElementById('showAdvSearch').value = 1;
 			}
			else
			{
			   element.style.display = 'none';
			   dojo.fx.wipeIn( {node: 'm_divAdvancedSearch', duration: 0} ).play();
			   dojo.fx.wipeOut( {node: 'm_divAdvancedSearch', duration: 500} ).play();
			   document.getElementById('showAdvSearch').value = 0;
			}
		}
    },

    adjustDetail : function()
    {
        var height = document.documentElement.clientHeight;

        height -= 300;

        divExemplarys       = document.getElementById("divExemplarys");
        divChildren         = document.getElementById("divChildren");
        divMaterialDetail   = document.getElementById("divMaterialDetail");

        if (divExemplarys)
        {
            divExemplarys.style.height =  height + "px"
        }

        if (divChildren)
        {
            divChildren.style.height =  height + "px"
        }

        if (divMaterialDetail)
        {
            divMaterialDetail.style.height =  height-50 + "px"
        }

    },

    clearAdvFilters : function()
    {
        var element;

        for (i=1; i <= document.getElementById("advFilterControl").value; i++)
        {
        	element = document.getElementById("m_advFilterControl" + i);
        	if (element)
        	{
        		this.hideElement(i);
        	}
        }

        document.getElementById("advFilterControl").value = 0;
        document.getElementById("m_advFilterContainer").style.display = "none";
    },
    
    //Impede que 2 checkboxes sejam checkados simultaneamente
    verifyCheckboxes : function(cbId)
    {
        if (!document.getElementById(cbId).checked)
        {
            return;
        }
        if (cbId == 'accurateTerm' && document.getElementById('termCrossing').checked)
        {
            document.getElementById('termCrossing').checked = false;
        }
        if (cbId == 'termCrossing' && document.getElementById('accurateTerm').checked)
        {
            document.getElementById('accurateTerm').checked = false;
        }
    },

    hideElement: function(id)
    {
    	
    	document.getElementById('m_advFilterControl'+id).innerHTML = '';
    	document.getElementById('m_advFilterControl'+id).style.display = 'none';
    	if (document.getElementById('advFilterControl').value == id)
    	{
    		document.getElementById('advFilterControl').value -= 1;
    	}

        element0 = document.getElementById('advFilter0')
    	
        if ( element0 )
        {
            if (element0.innerHTML == '')
            {            	
    		    element0.parentNode.removeChild(element0);
    	    	if (document.getElementById('advFilterControl').value == id)
    	    	{
    	    		document.getElementById('advFilterControl').value -= 1;
    	    	}
            }
        }

    	if (!(document.getElementById('advFilterControl').value > 0) )
    	{
    		document.getElementById('m_advFilterContainer').style.display = 'none';
    	}
    
    },

    removeTerm: function(id)
    {
    	element = document.getElementById('divExtraTerms'+id);
    	
    	if (element)
    	{
    		element.parentNode.removeChild(element);
    	}
    }
    
    ,

    changeLetter : function (letter)
    {
        el = document.getElementsByTagName('button');

        for (i =0 ; i<el.length; i++)
        {
            el[i].style.color= 'black';
            el[i].style.fontWeight= 'normal';
        }

        dojo.byId('letter').value = letter;
        dojo.byId(letter).style.color='blue';
        dojo.byId(letter).style.fontWeight= 'bold';
        dojo.byId('btnSearch').onclick();
    }
    ,

    displayMenu : function ()
    {
        var searchPanel = dojo.byId('searchPanel');
        var searchFields = dojo.byId('searchFields');
        var leftMenu = dojo.byId('leftMenu');
        
        if ( searchPanel.style.display == 'none' )
        {
            searchPanel.style.display = 'block';

            if ( leftMenu )
            {
                leftMenu.style.display = 'block';
            }

            searchFields.className = '';
        }
        else
        {
            searchPanel.style.display = 'none';

            if ( leftMenu )
            {
                leftMenu.style.display = 'none';
            }

            searchFields.className = 'searchFieldsFull';
        }
    }
}
);

gnutecaSearch = new GnutecaSearch;
