<?php
/**
 * Gnuteca update dictionaries
 *
 * @author Jader Osvino Fiegenbaum [jader@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @since
 * Class created on 20/08/2010
 *
 * \b Organization: \n
 * SOLIS - Cooperativa de Solucoes Livres \n
 * The Gnuteca3 Development Team
 *
 * \b CopyLeft: \n
 * CopyLeft (L) 2010 SOLIS - Cooperativa de Solucoes Livres \n
 *
 * \b License: \n
 * Licensed under GPL (for further details read the COPYING file or http://www.gnu.org/copyleft/gpl.html
 *
 * \b History: \n
 * See history in SVN repository: http://gnuteca.solis.coop.br
 *
 */

class updateDictionaryJs extends GnutecaTask
{
    public $busDictionary,
           $busDictionaryContent;

    /**
     * METODO CONSTRUCT  OBRIGATRIO, POIS A CLASSE DE SCHEDULE TASK SEMPRE VAI PASSAR O $MIOLO COMO PARAMETRO
     *
     * @param OBJECT $MIOLO
     */
    function __construct($MIOLO, $myTaskId)
    {
        parent::__construct($MIOLO, $myTaskId);
        $module = MIOLO::getCurrentModule();
        $this->busDictionary = $MIOLO->getBusiness($module, 'BusDictionary');
        $this->busDictionaryContent = $MIOLO->getBusiness($module, 'BusDictionaryContent');
    }


    /**
     * MTODO OBRIGATORIO.
     * ESTE METODO SERA CHAMADO PELA CLASSE SCHEDULE TASK PARA EXECUTAR A TAREFA
     *
     * @return boolean
     */
    public function execute()
    {
        $dics = $this->busDictionary->listDictionary();

        if(!$dics)
        {
            return false;
        }

		foreach ($dics as $object)
		{
		    $this->busDictionaryContent->createJavascriptFileFunction($object[0]);
		}
    
        return true;
    }
}

?>