<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


function exibe($msg)
{
    return $msg . "<br>";
}

$retorno .= exibe('');
$retorno .= exibe("Teste da BusGenericSearch");
$MIOLO->getClass('gnuteca3', 'GnutecaBusiness');
$business = $MIOLO->getBusiness($module, 'BusGenericSearch2');

//Tags para a visualizao dos dados
$viewData[] = array('001', 'a', 'Nmero de controle');
$viewData[] = array('245', 'a', 'Ttulo');
$viewData[] = array('100', 'a', 'Autor');
$viewData[] = array('090', 'a', 'Classificao');
$viewData[] = array('090', 'b', 'Cutter');
$viewData[] = array('650', 'a', 'Assunto');

if ($viewData)
{
    foreach ($viewData as $vData)
    {
        $business->addSearchField($vData[0], $vData[1]);
    }
}


//Pesqisa em todos os campos
//$business->addSearchWhere(null, null, $searchTerm);
//Em campos especficos
//$business->addSearchWhere('100', 'a', 'Bobny, Denise de Mello');
//$business->addSearchWhere('100', 'a', '%machado%');
//$business->addSearchWhere('245', 'a', '%Quincas Borba%', 'AND');
//$business->addSearchWhere('245', 'a', '%Memorias postumas de Bras Cubas%', 'OR');
//$business->addSearchWhere('950', 'a', '142', 'NOT');
//$business->addSearchWhere('100', 'a', 'jamiel', 'OR');

//$exp = "100.a:machado 245.a,245.c,260.a:quincas borbas 245.b:Memorias postumas de Bras Cubas";
//$exp = "machado OR assis AND memorias";
//$exp = "100.a:machado AND joaquin OR 245.a|245.b:quincas borbas 245.b:Memorias postumas de Bras Cubas";
//$exp = "machado 245.a:Quincas Borba OR 245.a:Memorias postumas de Bras Cubas NOT 950.a:142";
//$exp = "100.a:Bobny, Denise de Mello";

//$exp =  '100.a:Machado';
//$business->addMaterialWhereByExpression($exp);
//$business->addMaterialWhereByTag("245.a", "memorias", "AND", "NOT LIKE");
//$business->addExemplaryControlWhere("itemnumber", "0005");
//$business->addMaterialControlWhere("category", "BK");

//$exp = "author:jamiel";
$exp = "machado 245.a:Quincas Borba OR 245.a,245.b,100.a:Memorias postumas de Bras Cubas NOT 950.a:142";
$business->addMaterialWhereByExpression($exp);
/*
$business->setOrder('245', 'a', SORT_ASC);

$business->addMaterialWhere("", "", array("teste", "mais um conterudp"));
$business->addMaterialWhere("245", "b", "marechal");
$business->addMaterialWhere("245", "a", "outra tag");
$business->addMaterialWhere("100", array("a", "b"), array("machado", "assis"));
*/
/*
$obj[1]->category = "BK";
$obj[1]->level = "4";

$obj[2]->category = "SE";
$obj[2]->level = "#";

$business->setCategoryLevel($obj);
*/
//$business->setMaterialTypeId(array(1,2,3));

//$business->addExemplaryControlWhere("libraryunitid", "1");
//$business->addMaterialControlWhere("materialgenderid", "1");

$business->executeSearch();
$data = $business->getWorkSearch();

$retorno .= exibe('Nmero de obras: ' . (($data) ? count($data) : 0) );
$retorno .= exibe('');

foreach ($data as $dt)
{
	$retorno .= exibe('CN: ' . $dt['001.a'][0]->content);
	$retorno .= exibe('Titulo: ' . $dt['245.a'][0]->content);
	$retorno .= exibe('Autor:  ' . $dt['100.a'][0]->content);
	$retorno .= exibe('');
}


//$echo = var_export( $data, true );
//$retorno .= exibe('<pre>'.$echo.'</pre>');

$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($retorno);
$theme->insertContent($txt);
?>