<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


global $str, $MIOLO, $module, $libraryUnitId, $personId, $operator;

$MIOLO  = MIOLO::getInstance();
$module = MIOLO::getCurrentModule();
$MIOLO->getClass('gnuteca3', 'GnutecaDate');
$MIOLO->getClass('gnuteca3', 'GnutecaBusiness');
$MIOLO->getClass('gnuteca3', 'GnutecaMessages');
$MIOLO->InvokeHandler($module, 'define');

if ($_REQUEST['loanId'])
{
    $loanId = $_REQUEST['loanId'];
}
else
{
    $loanId=69;
}

/*
$bus = $MIOLO->getBusiness($module, 'BusFine');
MIOLO::vd($bus->getFineOpenOfAssociation(24, 2));
exit;
*/

$busOR = $MIOLO->getBusiness('gnuteca3', 'BusOperationRenew');

exibe('<b>Criando GnutecaOperationRenew -> (Operao de Renovao)</b>');
exibe('Tentando renovar Loan com id='.$loanId.'.');

//ID_RENEWTYPE_WEB
//ID_RENEWTYPE_LOCAL

$busOR->setRenewType(ID_RENEWTYPE_WEB);
exibe('Definindo tipo de renovao como web id='. ID_RENEWTYPE_WEB.'.');
exibe('Fazendo checkLoan.');
$loan = $busOR->checkLoan($loanId);
if ( !$busOR->getErrors() )
{
    exibe('Tudo ok, pode adicionar.');
    $busOR->addLoan($loan);
    if ($busOR->finalize() )
    {
        exibe('Processo finalizado com sucesso');
    }
}
else
{
    exibe('A renovao retornou os seguintes erros:');
    ob_start();
    MIOLO::vd($busOR->getErrors());
    $vd = ob_get_contents();
    ob_end_clean();
    exibe($vd);
}





$theme->insertContent(new MDiv('divContent', $str) );


function exibe($msg)
{
    global $str;
    $str .= $msg . '<br/>';
}
?>