<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


global $str, $MIOLO, $module, $personId;

$personId       = 4;
$reserveTypeId  = 1;
$libraryUnitId  = 1;

$MIOLO  = MIOLO::getInstance();
$module = MIOLO::getCurrentModule();
$MIOLO->getClass('gnuteca3', 'GnutecaDate');
$MIOLO->getClass('gnuteca3', 'GnutecaBusiness');
$MIOLO->getClass('gnuteca3', 'GnutecaMessages');
$MIOLO->InvokeHandler($module, 'define');

$busOR = $MIOLO->getBusiness('gnuteca3', 'BusOperationReserve');

exibe('<b>Criando GnutecaOperationReserve-> (Operao de Reserva)</b>');
exibe('Setando Tipo de Reserva = '.$reserveTypeId);
$busOR ->setReserveType($reserveTypeId);
vd( $busOR->getReserveType() );
exibe('Setando Unidade da Biblioteca='. $libraryUnitId);
$busOR->setLibraryUnit($libraryUnitId);
vd( $busOR->getLibraryUnit()->libraryName );
exibe('Setando Pessoa='. $personId);
$busOR->setPerson($personId);
exibe('Authenticando pessoa:');
vd( $busOR->personAuthenticate('uhu') );

//$busOR->meetReserve('GOL-01');
/*exibe('Adicionando Material:');
$busOR->addMaterial(1);

$errors = $busOR->getErrors();
if ($errors)
{
    vd( $errors );
}
else
{
    exibe('Material adicionado com sucesso.');
    $exemplarys = $busOR->getExemplarys();
    vd($exemplarys);
    exibe('Finalizando Operao.');
    $busOR->finalize();
}*/

/*$busOR->comunicateReserveAnswered();*/

//$busOR->cancelReserve(16);
$busOR->reorganizeQueueReserve('2008-11-04');
$errors = $busOR->getErrors();
if ($errors)
{
    vd( $errors );
}

$theme->insertContent( new MDiv('divContent', $str) );

function exibe($msg)
{
    global $str;
    $str .= $msg . '<br/>';
}

function vd($vd)
{
    ob_start();
    MIOLO::vd( $vd );
    $echo = ob_get_contents();
    ob_end_clean();
    exibe($echo);
}
?>