<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


function exibe($msg)
{
    return $msg . "<br>";
}


define('MASK_DATE_USER', 'dd/mm/yyyy'); //Data modo usurio
define('MASK_TIME_USER', 'hh:ii:ss');   //Tempomodo usurio

define('MASK_DATE_DB', 'yyyy-mm-dd'); //Data modo usurio
define('MASK_TIME_DB', 'hhiiss');   //Tempomodo usurio

$MIOLO->getClass($module, 'GnutecaDate');

$dataUsuario = '12/05/2007';

$retorno = exibe('Retorna a mascara do usurio:');
$retorno .= exibe(GnutecaDate::getUserMask('DATE'));
$retorno .= exibe(GnutecaDate::getUserMask('TIME'));
$retorno .= exibe(GnutecaDate::getUserMask('TIMESTAMP'));

$retorno .= exibe('Retorna a mascara do banco:');
$retorno .= exibe(GnutecaDate::getDBMask('DATE'));
$retorno .= exibe(GnutecaDate::getDBMask('TIME'));
$retorno .= exibe(GnutecaDate::getDBMask('TIMESTAMP'));

$retorno .= exibe('');
$retorno .= exibe("Data $dataUsuario convertida para o banco:");
$retorno .= exibe($dataBanco = GnutecaDate::toDB($dataUsuario, 'DATE'));

$retorno .= exibe("Data $dataBanco convertida para o usurio:");
$retorno .= exibe($dataUsuario = GnutecaDate::toUser($dataBanco, 'DATE'));

$retorno .= exibe('');
$dataUsuario = '12/05/2007 12:30:59';

$retorno .= exibe("Data $dataUsuario convertida para o banco:");
$retorno .= exibe($dataBanco = GnutecaDate::toDB($dataUsuario, 'TIMESTAMP'));

$retorno .= exibe("Data $dataBanco convertida para o usurio:");
$retorno .= exibe($dataUsuario = GnutecaDate::toUser($dataBanco, 'TIMESTAMP'));


$retorno .= exibe('');
$retorno .= exibe("Converte uma data $dataBanco para o array, passa-se a mascar:");
$retorno .= exibe('<pre>'.print_r(GnutecaDate::toArray($dataBanco, GnutecaDate::getDBMask('TIMESTAMP')), 1).'</pre>');
$retorno .= exibe('<pre>'.print_r(GnutecaDate::toArray($dataBanco, GnutecaDate::getDBMask('DATE')), 1).'</pre>');

$retorno .= exibe('');
$retorno .= exibe('Retorna a data atual no formato usurio');
$retorno .= exibe($dataUsuario = GnutecaDate::now(GnutecaDate::getUserMask('DATE')));
$retorno .= exibe($dataUsuario = GnutecaDate::now(GnutecaDate::getUserMask('TIME')));
$retorno .= exibe($dataUsuario = GnutecaDate::now(GnutecaDate::getUserMask('TIMESTAMP')));

$retorno .= exibe('');
$retorno .= exibe('Retorna o timestampUnix de uma data, passa-se a mascara');
$retorno .= exibe($tsUnix = GnutecaDate::toTimestampUnix($dataUsuario, GnutecaDate::getUserMask('TIMESTAMP')));
$retorno .= exibe($dataUsuario = GnutecaDate::timestampUnixTo($tsUnix, GnutecaDate::getUserMask('TIMESTAMP')));

$retorno .= exibe('');
$retorno .= exibe('No caso somando 2 dias');
$retorno .= exibe($tsUnix = GnutecaDate::toTimestampUnix($dataUsuario, GnutecaDate::getUserMask('TIMESTAMP')));
$tsUnix = $tsUnix + (3600*48);
$retorno .= exibe($dataUsuario = GnutecaDate::timestampUnixTo($tsUnix, GnutecaDate::getDBMask('TIMESTAMP')));


$retorno .= exibe('');
$retorno .= exibe('Converte as mascaras para o formato mascara php:');
$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('DATE')));
$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('TIME')));
$retorno .= exibe(GnutecaDate::convertMaskToPHP(GnutecaDate::getUserMask('TIMESTAMP')));

$data1 = '12/05/2007';
$data2 = '01/05/2007';
$data3 = '01/05/2007';

$retorno .= exibe('');
$retorno .= exibe('Subtrai datas e retorna o timestamp em segundo (Segundos desde a poca Unix (January 1 1970 00:00:00 GMT)):');
$retorno .= exibe('datas utilizadas:  $data1 = \'12/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe(GnutecaDate::subtractDates($data1, $data2, GnutecaDate::getUserMask('DATE')));

$retorno .= exibe('');
$retorno .= exibe('Subtrai datas e retorna o numero de dias de diferena');
$retorno .= exibe('datas utilizadas:  $data1 = \'12/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe(GnutecaDate::diffDays($data1, $data2, GnutecaDate::getUserMask('DATE')));
$retorno .= exibe('datas utilizadas:  $data1 = \'01/05/2007\'; $data2 = \'12/05/2007\';');
$retorno .= exibe(GnutecaDate::diffDays($data2, $data1, GnutecaDate::getUserMask('DATE')));
$retorno .= exibe('datas utilizadas:  $data1 = \'01/05/2007\'; $data2 = \'01/05/2007\';');
$retorno .= exibe(GnutecaDate::diffDays($data2, $data3, GnutecaDate::getUserMask('DATE')));

$retorno .= exibe('');
$dataUsuario = '12/05/2007 12:30:59';

$retorno .= exibe("soma horas: \$dataUsuario = '12/05/2007 12:30:59' soma 15 horas");
$retorno .= exibe(GnutecaDate::sumHours($dataUsuario, 15, GnutecaDate::getUserMask('TIMESTAMP')));
$retorno .= exibe("soma horas: \$dataUsuario = '12/05/2007 12:30:59' soma -5 horas");
$retorno .= exibe(GnutecaDate::sumHours($dataUsuario, -5, GnutecaDate::getUserMask('TIMESTAMP')));

$retorno .= exibe('');
$dataUsuario = '12/05/2007 12:30:59';

$retorno .= exibe("soma dias: \$dataUsuario = '12/05/2007 12:30:59' soma 15 dias");
$retorno .= exibe(GnutecaDate::sumDays($dataUsuario, 15, GnutecaDate::getUserMask('TIMESTAMP')));
$retorno .= exibe("soma dias: \$dataUsuario = '12/05/2007 12:30:59' soma -5 dias");
$retorno .= exibe(GnutecaDate::sumDays($dataUsuario, -5, GnutecaDate::getUserMask('TIMESTAMP')));

$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($retorno);
$theme->insertContent($txt);

?>
