<?php
/**
 * <--- Copyright 2005-2011 de Solis - Cooperativa de Solues Livres Ltda. e
 * Univates - Centro Universitrio.
 *
 * Este arquivo  parte do programa Gnuteca.
 *
 * O Gnuteca  um software livre; voc pode redistribu-lo e/ou modific-lo
 * dentro dos termos da Licena Pblica Geral GNU como publicada pela Fundao
 * do Software Livre (FSF); na verso 2 da Licena.
 *
 * Este programa  distribudo na esperana que possa ser til, mas SEM
 * NENHUMA GARANTIA; sem uma garantia implcita de ADEQUAO a qualquer MERCADO
 * ou APLICAO EM PARTICULAR. Veja a Licena Pblica Geral GNU/GPL em
 * portugus para maiores detalhes.
 *
 * Voc deve ter recebido uma cpia da Licena Pblica Geral GNU, sob o ttulo
 * "LICENCA.txt", junto com este programa, se no, acesse o Portal do Software
 * Pblico Brasileiro no endereo www.softwarepublico.gov.br ou escreva para a
 * Fundao do Software Livre (FSF) Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA 02110-1301, USA --->
 *
 * Class
 *
 * @author Jamiel Spezia [jamiel@solis.coop.br]
 *
 * @version $Id$
 *
 * \b Maintainers: \n
 * Eduardo Bonfandini [eduardo@solis.coop.br]
 * Guilherme Soldateli [guilherme@solis.coop.br]
 * Jader Osvino Fiegenbaum [jader@solis.coop.br]
 * Jamiel Spezia [jamiel@solis.coop.br]
 * Moises Heberle [moises@solis.coop.br]
 *
 * @since
 * Class created on 16/03/2011
 *
 **/


$MIOLO->getClass($module, 'GnutecaReceipt');


// OBJECTO DE PESSOA
$personObject->personId     = 509921;
$personObject->personName   = 'LUIZ GILBERTO GREGORY FILHO';
$personObject->email        = 'luiz.gregory@gmail.com,luiz@solis.coop.br';


// OBJETO DE RENOVAO
$renew[0]->loanTypeId           = 1;
$renew[0]->personId             = '509921';
$renew[0]->linkId               = 1;
$renew[0]->itemNumber           = 99;
$renew[0]->libraryUnitId        = 1;
$renew[0]->loanDate             = '2009-02-11 13:45:34';
$renew[0]->loanOperator         = 'gnuteca3';
$renew[0]->returnForecastDate   = '2009-02-18';
$renew[0]->renewalAmount        = 6;
$renew[0]->renewalWebAmount     = 7;
$renew[0]->policy->fineValue    = 1;


$renew[1]->loanTypeId           = 1;
$renew[1]->personId             = '509921';
$renew[1]->linkId               = 1;
$renew[1]->itemNumber           = 99;
$renew[1]->libraryUnitId        = 1;
$renew[1]->loanDate             = '2009-02-11 13:45:34';
$renew[1]->loanOperator         = 'gnuteca3';
$renew[1]->returnForecastDate   = '2009-02-18';
$renew[1]->renewalAmount        = 6;
$renew[1]->renewalWebAmount     = 7;
$renew[1]->policy->fineValue    = 1;


//OBJETO DE EMPRESTIMO
$loan[0]->loanTypeId            = 1;
$loan[0]->personId              = '509921';
$loan[0]->linkId                = 1;
$loan[0]->itemNumber            = 45;
$loan[0]->libraryUnitId         = 1;
$loan[0]->loanDate              = '2009-02-11 14:33:08';
$loan[0]->loanOperator          = 'gnuteca3';
$loan[0]->returnForecastDate    = '2009-02-18';
$loan[0]->renewalAmount         = 6;
$loan[0]->renewalWebAmount      = 7;
$loan[0]->policy->fineValue     = 1;

$loan[1]->loanTypeId            = 1;
$loan[1]->personId              = '509921';
$loan[1]->linkId                = 1;
$loan[1]->itemNumber            = 45;
$loan[1]->libraryUnitId         = 1;
$loan[1]->loanDate              = '2009-02-11 14:33:08';
$loan[1]->loanOperator          = 'gnuteca3';
$loan[1]->returnForecastDate    = '2009-02-18';
$loan[1]->renewalAmount         = 6;
$loan[1]->renewalWebAmount      = 7;
$loan[1]->policy->fineValue     = 1;

$loan[2] = $loan[0];
$loan[3] = $loan[0];
$loan[4] = $loan[0];
$loan[5] = $loan[0];

// CRIA OBJECTO RECIBO
$receipt = new GnutecaReceipt(true);

//SETA A PESSOA
$receipt->addPerson($personObject);


//SETA OS ITENS
$receipt->addItem($renew,   "RENEW");
$receipt->addItem($loan,    "LOAN");

$returnLoan[0]->itemNumber      = 99;
$returnLoan[0]->personId        = '509921';
$returnLoan[0]->libraryUnitId   = 1;
$returnLoan[0]->returnDate      = '2009-02-13 14:56:07';
$returnLoan[0]->fineValue       = 189;
$returnLoan[0]->operator        = 'gnuteca3';
$returnLoan[0]->loanId          = 38;
$returnLoan[0]->loanDate        = '2009-02-11 13:45:34';

$returnLoan[2]->itemNumber      = 66;
$returnLoan[2]->personId        = '509921';
$returnLoan[2]->libraryUnitId   = 1;
$returnLoan[2]->returnDate      = '2009-02-13 14:56:07';
$returnLoan[2]->fineValue       = 189;
$returnLoan[2]->operator        = 'gnuteca3';
$returnLoan[2]->loanId          = 38;
$returnLoan[2]->loanDate        = '2009-02-11 13:45:34';

$returnLoan[1]->itemNumber      = 45;
$returnLoan[1]->personId        = '509921';
$returnLoan[1]->libraryUnitId   = 1;
$returnLoan[1]->returnDate      = '2009-02-13 14:56:07';
$returnLoan[1]->fineValue       = 189;
$returnLoan[1]->operator        = 'gnuteca3';
$returnLoan[1]->loanId          = 38;
$returnLoan[1]->loanDate        = '2009-02-11 13:45:34';

$receipt->addItem($returnLoan, "RETURN");

$content = '<pre>'. print_r($receipt->generateLoanReceipt(), 1) .'</pre>';
$content.= '<pre>'. print_r($receipt->generateReturnReceipt(), 1) .'</pre>';

/*
foreach ($receipt->generateLoanReceipt() as $i => $rec)
{
    //$content.= "Recibo file: ". $receipt->createPDFReceipt($rec);
    $content.= '<pre>'. print_r($receipt->sendMail($rec), 1) .'</pre>';
}

foreach ($receipt->generateReturnReceipt() as $i => $rec)
{
    //$content.= "Recibo file: ". $receipt->createPDFReceipt($rec);
    $content.= '<pre>'. print_r($receipt->sendMail($rec), 1) .'</pre>';
}
*/
//LIMPA TODO DIRETRIO DE RECIBOS
//$receipt->cleanReceiptStoragePath();

// SETA O CONTEUDO A SER EXIBIDO NA PAGINA
$theme->clearContent();
$txt = new MText('txt');
$txt->setValue($content);
$theme->insertContent($txt);

?>